Name:           docbook2X
Summary:        Convert DocBook documents into man and Texinfo
Summary(ja):    DocBook ドキュメントを man と Texinfo へ変換
Version:        0.8.8
Release:        6%{?_dist_release}
Group:          publishing
Vendor:         Project Vine
Distribution:   Vine Linux

License:        BSD
URL:            https://docbook2x.sourceforge.net/
Source0:        https://downloads.sourceforge.net/docbook2x/docbook2X-%{version}.tar.gz
Patch0:         01_fix_static_datadir_evaluation.patch
Patch1:         02_fix_418703_dont_use_abbreviated_sfnet_address.patch
Patch2:         03_fix_420153_filename_whitespace_handling.patch
Patch3:         04_fix_442782_preprocessor_declaration_syntax.patch
Patch4:         05_fix_439214_error_on_missing_refentry.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  perl libxslt openjade texinfo opensp
# required by the perl -c calls during build
BuildRequires:  perl-XML-SAX
# rpmlint isn't happy with libxslt, but we need xsltproc
Requires:       libxslt openjade texinfo %{_bindir}/sgml2xml

%description
docbook2X converts DocBook documents into man pages and Texinfo
documents.

%description -l ja
docbook2X は DocBook ドキュメントを man ページと Texinfo ドキュメントへ
変換します。


%debug_package


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1


%build
# to avoid clashing with docbook2* from docbook-utils
%configure --program-transform-name='s/docbook2/db2x_docbook2/'
make %{?_smp_mflags}
rm -rf __dist_html
mkdir -p __dist_html/html
cp -p doc/*.html __dist_html/html


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -c -p'
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/
rm -f $RPM_BUILD_ROOT%{_infodir}/dir


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README THANKS AUTHORS __dist_html/html/
%{_bindir}/db2x_manxml
%{_bindir}/db2x_texixml
%{_bindir}/db2x_xsltproc
%{_bindir}/db2x_docbook2man
%{_bindir}/db2x_docbook2texi
%{_bindir}/sgml2xml-isoent
%{_bindir}/utf8trans
%dir %{_datadir}/docbook2X
%{_datadir}/docbook2X/VERSION
%dir %{_datadir}/docbook2X/charmaps
%dir %{_datadir}/docbook2X/dtd
%dir %{_datadir}/docbook2X/xslt
%{_datadir}/docbook2X/charmaps/*
%{_datadir}/docbook2X/dtd/*
%{_datadir}/docbook2X/xslt/*
%{_mandir}/man1/*.1*
%{_infodir}/docbook2*


%changelog
* Thu Oct 06 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.8.8-6
- rebuilt with perl-5.34.
- dropped install-info scriptlets.

* Mon Sep 02 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.8.8-5
- rebuilt with perl-5.26.

* Wed Jul  8 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.8.8-4
- rebuilt to fix dependency.

* Sat Jul 12 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.8.8-3
- rebuilt with current environment
- fix %%{_bindir}/sgml2xml to opensp in BuildRequires

* Tue Sep 8 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.8.8-2
- added Patch0,1,2,3,4 from Debian

* Mon Mar 16 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.8.8-1vl5
- initial build for VineSeed

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.8.8-3
Rebuild for new perl

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.8-2
- Autorebuild for GCC 4.3

* Wed Aug  8 2007 Patrice Dumas <pertusus@free.fr> 0.8.8-1
- update to 0.8.8

* Mon Sep 11 2006 Patrice Dumas <pertusus@free.fr> 0.8.7-2
- correct the perl-XML-SAX to be perl(XML::SAX::ParserFactory)

* Thu May 18 2006 Patrice Dumas <pertusus@free.fr> - 0.8.7-1
- update to 0.8.7

* Fri Feb 17 2006 Patrice Dumas <pertusus@free.fr> - 0.8.6-1
- update to 0.8.6
- drop patch as SGMLSpl.pm is included in the scripts, not distributed
- BR perl-XML-SAX (close 188481)

* Fri Feb 17 2006 Patrice Dumas <pertusus@free.fr> - 0.8.5-2
- rebuild for fc5

* Fri Feb  3 2006 Patrice Dumas <pertusus@free.fr> - 0.8.5-1
- FE submission
