Name: fribidi
Summary: Library implementing the Unicode Bidirectional Algorithm
Version: 1.0.12
Release: 1%{?_dist_release}
Group: system
Vendor: Project Vine
Distribution: Vine Linux

License: LGPL
URL: https://github.com/fribidi/fribidi
Source: https://github.com/fribidi/fribidi/releases/download/v%{version}/%{name}-%{version}.tar.xz
Patch0: fribidi-drop-bundled-gnulib.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: meson

%description
A library to handle bidirectional scripts (eg. hebrew, arabic), so that
the display is done in the proper way; while the text data itself is
always written in logical order.


%package devel
Summary: Library implementing the Unicode Bidirectional Algorithm
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package includes the static libraries and header files
for the fribidi package.
Install if you want to develop programs which will use fribidi.


%debug_package


%prep
%autosetup -p1


%build
%meson -Ddocs=false
%meson_build


%check
%meson_test


%install
rm -rf %{buildroot}
%meson_install
rm -f %{buildroot}%{_libdir}/*.la


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%license COPYING
%doc README AUTHORS ChangeLog TODO THANKS NEWS
%{_bindir}/%{name}
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Sep 11 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.0.12-1
- new upstream release.

* Fri May 01 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.0.9-1
- new upstream release.

* Wed Jun  8 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.19.7-1
- new upstream release.

* Tue Aug 14 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.19.2-1
- new upstream release.

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.9-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Jun  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.9-1
- applied new versioning policy

* Sun Jan 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.9-0vl1
- new upstream release

* Sun Mar 19 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.7-0vl1
- new upstream release

* Tue Aug 10 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.10.4-0vl2
- update URL

* Sat May  1 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.10.4-0vl1
- change build method, %%files and Group for VineSeed

* Tue Mar 12 2002  Behdad Esfahbod <behdad@bamdad.org>
- Use License instead of Copyright
- Moved pkgconfig to devel package instead of lib package.

* Sat Jan 26 2002  Behdad Esfahbod <behdad@bamdad.org>
- CFLAGS changed to OPT_CFLAGS.

* Wed Jan  9 2002  Behdad Esfahbod <behdad@bamdad.org>
- First spec released.
