%define mozjs mozjs102

Summary:        Javascript binding for GNOME
Summary(ja):    GNOME 向け JavaScript バインディング
Name:           gjs
Version:        1.75.1
Release:        1%{?_dist_release}
Group:          system
Vendor:         Project Vine
Distribution:   Vine Linux

License:        MPL1.1/LGPLv2+/GPLv2+
URL:            https://wiki.gnome.org/Projects/GnomeShell
%global         shortver %(echo %{version} | cut -d . -f 1-2)
Source0:        https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  meson
BuildRequires:  pkgconfig >= 0.14.0
BuildRequires:  glib2-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  gobject-introspection-devel >= 1.29.16
BuildRequires:  cairo-devel
BuildRequires:  %{mozjs}-devel
BuildRequires:  readline-devel
BuildRequires:  yelp-tools
BuildRequires:  desktop-file-utils
BuildRequires:  gnome-common

%description
GNOME Shell is the defining technology of the GNOME 3 desktop user experience. It provides core interface functions like switching to windows and launching applications. GNOME Shell takes advantage of the capabilities of modern graphics hardware and introduces innovative user interface concepts to provide a delightful and easy to use experience. 


%package devel
Summary:     Development files of the gjs library.
Summary(ja): gjs ライブラリの開発用ファイル
Group:       programming
Requires:    %{name} = %{version}-%{release}
Requires:    pkgconfig
Requires:    gtk-doc
Requires:    %{mozjs}-devel

%description devel
Development files of the gjs library.


%debug_package


%prep
%setup -q


%build
%meson \
	-Dprofiler=disabled \
	-Dinstalled_tests=false \
	-Dskip_dbus_tests=true \
	-Dskip_gtk_tests=true
%meson_build


%install
%{__rm} -rf %{buildroot}
%meson_install


#check
#{__make} %{?_smp_mflags} check


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%license COPYING
%doc ChangeLog NEWS README
%{_bindir}/gjs*
%{_libdir}/lib*.so.*
%{_libdir}/gjs/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/gjs-1.0
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/gjs-1.0
%dir %{_datadir}/gjs-1.0/lsan
%{_datadir}/gjs-1.0/lsan/lsan.supp
%dir %{_datadir}/gjs-1.0/valgrind
%{_datadir}/gjs-1.0/valgrind/gjs.supp


%changelog
* Tue Nov 01 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.75.1-1
- new upstream release.

* Tue Aug 17 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.68.3-1
- new upstream release.

* Tue Aug 10 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.68.2-1
- new upstream release.

* Thu Apr 01 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.68.0-1
- new upstream release.
- dropped ldconfig scriptlets.

* Thu Feb 25 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.66.2-2
- fixed typo.

* Wed Feb 24 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.66.2-1
- new upstream release.

* Tue Aug 04 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.64.4-1
- new upstream release.

* Wed Apr 15 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.54.3-2
- rebuilt with libffi-3.3.

* Tue Mar 24 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.54.3-1
- new upstream release.
- dropped Patch0: fixed in upstream.

* Sun Dec 30 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.53.4-2
- added Patch0.
- added "R:mozjs52-devel" to gjs-devel.

* Fri Dec 28 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.53.4-1
- new upstream release.

* Thu Jun 30 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.44.0-2
- rebuild with gcc-5.4.0

* Sat Oct 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.44.0-1
- new upstream release

* Mon Mar 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.43.3-1
- new upstream release

* Thu Jan  1 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.42.0-2
- moved to System Environment/Libraries Group
- added Japanese summary
- changed BR: automake instead of automake112

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.42.0-1
- new upstream release

* Sun Jul 06 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.40.1-2
- rebuild with libffi-3.0.13

* Sat Apr 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.40.1-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.40.0-1
- new upstream release
- change BuildRequires: mozjs24-devel instead of mozjs17-devel

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.38.1-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.38.1-1
- new upstream release
- change BuildRequires: mozjs17-devel instead of js-devel
- add BuildRequires: autoconf, automake112

* Wed Apr 24 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.36.1-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.34.0-1
- new upstream release
- change BuildRequires: yelp-tools instead of gnome-doc-utils

* Sun Apr 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.32.0-1
- new upstream release

* Wed Sep 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.30.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.29.18-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.29.17-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.29.15-1
- new upstream release
- change BuildRequires: js-devel instead of xulrunner-devel

* Sun Apr 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.13-1
- new upstream release

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.7-1
- new upstream release

* Thu Oct 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.4-1
- new upstream release
- remove BuildRequires: mutter-devel

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sun Apr 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6-1
- new upstream release
- fix typo

* Sun Feb 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5-1
- initial build for Vine Linux

