# keep in sync with the VERSION.  gstreamer can append a .0.1 to CVS snapshots.
%define major		1.0

%define po_package	gstreamer-%{major}

%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Name:		gstreamer1
Summary:	GStreamer streaming media framework runtime.
Summary(ja):	GStreamer ストリーミングメディアフレームワークランタイム
Version:	1.20.3
Release:	1%{?_dist_release}
Group:		multimedia,system
Vendor:		Project Vine
Distribution:	Vine Linux

License:	LGPL
URL:		https://gstreamer.freedesktop.org/
Source:		https://gstreamer.freedesktop.org/src/gstreamer/gstreamer-%{version}.tar.xz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	meson
BuildRequires:	glib2-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	libxml2-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	libunwind-devel
BuildRequires:	elfutils-devel
BuildRequires:  bash-completion

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package devel
Summary:	Libraries/header files for GStreamer streaming media framework.
Summary(ja):	GStreamer ストリーミングメディアフレームワークのライブラリ/ヘッダファイル
Group:		programming
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel%{?_isa}
Requires:	libxml2-devel%{?_isa}

%description devel
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.


# compat32
%package -n compat32-%{name}
Summary:	GStreamer streaming media framework runtime.
Summary(ja):	GStreamer ストリーミングメディアフレームワークランタイム
Group:		system,multimedia,legacy

%description -n compat32-%{name}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.


%package -n compat32-%{name}-devel
Summary:	Libraries/header files for GStreamer streaming media framework.
Summary(ja):	GStreamer ストリーミングメディアフレームワークのライブラリ/ヘッダファイル
Group:		programming
Requires:	compat32-%{name} = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}

%description -n compat32-%{name}-devel
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.


%debug_package


%prep
%setup -q -n gstreamer-%{version}


%build
%meson \
  -Dpackage-name='Vine Linux gstreamer package' \
  -Dpackage-origin='https://vinelinux.org/' \
  -Dtests=disabled \
  -Dexamples=disabled \
  -Dcheck=disabled \
  -Ddbghelp=disabled \
  -Ddoc=disabled
%meson_build


%install
[ -n $RPM_BUILD_ROOT -a $RPM_BUILD_ROOT != / ] && rm -rf $RPM_BUILD_ROOT

%meson_install
%find_lang %{po_package}


%clean
[ -n $RPM_BUILD_ROOT -a $RPM_BUILD_ROOT != / ] && rm -rf $RPM_BUILD_ROOT


%files -f %{po_package}.lang
%defattr(-, root, root)
%license COPYING
%doc AUTHORS ChangeLog README NEWS RELEASE
%{_bindir}/*
%dir %{_libdir}/gstreamer-%{major}
%{_libdir}/gstreamer-%{major}/*.so*
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib
%dir %{_libexecdir}/gstreamer-%{major}
%{_libexecdir}/gstreamer-%{major}/*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/gst-inspect-1.0
%{_datadir}/bash-completion/completions/gst-launch-1.0
%{_datadir}/bash-completion/helpers/gst
%doc %{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%dir %{_includedir}/gstreamer-%{major}
%{_includedir}/gstreamer-%{major}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/gstreamer*.pc
%{_datadir}/aclocal/*.m4
%{_datadir}/gir-1.0/*.gir
%dir %{_datadir}/gdb
%dir %{_datadir}/gdb/auto-load
%dir %{_datadir}/gdb/auto-load/usr
%dir %{_datadir}/gdb/auto-load/usr/%{_lib}
%{_datadir}/gdb/auto-load/usr/%{_lib}/libgstreamer-%{major}.so.*-gdb.py
%dir %{_datadir}/gstreamer-%{major}
%dir %{_datadir}/gstreamer-%{major}/gdb
%{_datadir}/gstreamer-%{major}/gdb/glib_gobject_helper.py
%{_datadir}/gstreamer-%{major}/gdb/gst_gdb.py

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-, root, root)
%dir %{_libdir}/gstreamer-%{major}
%{_libdir}/gstreamer-%{major}/*.so*
%{_libdir}/*.so.*

%files -n compat32-%{name}-devel
%defattr(-, root, root)
%{_libdir}/*.so
%endif

%changelog
* Fri Jul 29 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.20.3-1
- new upstream release.

* Thu Apr 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.18.2-1
- new upstream release.
- dropped ldconfig scriptlets.

* Fri Apr 17 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.16.2-1
- new upstream release.

* Sat Jun 22 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.16.0-1
- new upstream release.

* Thu Jan 03 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.14.4-1
- new upstream release.

* Thu Feb 22 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.12.4-1
- new upstream release.

* Fri Jul 15 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.2-1
- new upstream release

* Wed May 04 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.4-1
- new upstream release

* Sun Jan 24 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.3-1
- new upstream release

* Sat Dec 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.2-1
- new upstream release

* Sat Oct 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-1
- new upstream release

* Sun Mar 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.5-1
- new upstream release

* Mon Nov 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.4-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.3-1
- new upstream release

* Sat Apr 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.4-1
- new upstream release

* Sun Mar 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.3-1
- new upstream release

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.2-1
- new upstream release

* Sun Nov 24 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.1-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release

* Sat Aug 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.10-1
- new upstream release

* Sun Aug 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.9-1
- new upstream release

* Mon Jul 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.8-1
- new upstream release

* Sun Apr 28 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.7-1
- new upstream release

* Sat Mar 23 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.6-1
- new upstream release

* Wed Jan 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.5-1
- new upstream release

* Wed Jan 02 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.4-1
- new upstream release

* Fri Oct 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.2-1
- new upstream release

* Mon Oct 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.1-1
- new upstream release

* Thu Sep 27 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.0-1
- initial build
