%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary:	Text shaping library
Name:		harfbuzz
Version:	5.3.1
Release:	1%{?_dist_release}
Group:		system
Vendor:		Project Vine
Distribution:	Vine Linux

License:	MIT
URL:		https://github.com/harfbuzz/harfbuzz
Source0:	https://github.com/harfbuzz/harfbuzz/releases/download/%{version}/harfbuzz-%{version}.tar.xz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	cairo-devel
BuildRequires:	freetype2-devel
BuildRequires:	glib2-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:  graphite2-devel
BuildRequires:  gtk-doc
BuildRequires:	libicu-devel

%description
HarfBuzz is an OpenType text shaping engine.


%package	devel
Summary:	Development tools for %{name}
Summary(ja):	%{name} の開発環境
Group:		programming
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-icu = %{version}-%{release}
Requires:	pkgconfig
Requires:	libicu-devel
Provides:	%{name}-icu-devel = %{version}-%{release}
Obsoletes:	%{name}-icu-devel < 2.0.0

%description	devel
Header files and libraries for building a extension library for the
%{name}.


%package	icu
Summary:	ICU library for %{name}
Summary(ja):	%{name} 用 ICU ライブラリ
Group:		system
Requires:	%{name} = %{version}-%{release}

%description	icu
This package contains icu library for %{name}.


%package	docs
Summary:	Documentation for %{name}
Summary(ja):	%{name} 用のドキュメント
Group:		documentation
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description	docs
This package contains documentation for %{name}.


# compat32
%package -n	compat32-%{name}
Summary:	Text shaping library
Group:		system,legacy
Requires:	%{name} = %{version}-%{release}

%description -n	compat32-%{name}
HarfBuzz is an OpenType text shaping engine.


%package -n	compat32-%{name}-devel
Summary:	Development tools for %{name}
Summary(ja):	%{name} の開発環境
Group:		programming
Requires:	compat32-%{name} = %{version}-%{release}
Requires:	pkgconfig

%description -n	compat32-%{name}-devel
Header files and libraries for building a extension library for the
%{name}.


%debug_package


%prep
%setup -q


%build
%configure \
	--disable-static \
	--enable-introspection \
	--with-gobject \
	--with-graphite2

%{__make} %{?_smp_mflags}


%install
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%files
%defattr(-,root,root,-)
%license COPYING
%doc ChangeLog NEWS README
%{_bindir}/hb-ot-shape-closure
%{_bindir}/hb-shape
%{_bindir}/hb-subset
%{_bindir}/hb-view
%{_libdir}/libharfbuzz.so.*
%{_libdir}/libharfbuzz-gobject.so.*
%{_libdir}/libharfbuzz-subset.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/HarfBuzz-0.0.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/cmake/harfbuzz
%{_libdir}/libharfbuzz*.so
%{_libdir}/pkgconfig/%{name}*.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/HarfBuzz-0.0.gir

%files icu
%defattr(-,root,root,-)
%{_libdir}/libharfbuzz-icu.so.*

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}

%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-, root, root,-)
%{_libdir}/libharfbuzz*.so.*

%files -n compat32-%{name}-devel
%defattr(-, root, root,-)
%{_libdir}/libharfbuzz*.so
%endif


%changelog
* Thu Oct 20 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.1-1
- new upstream release.

* Wed Oct 19 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.0-1
- new upstream release.

* Thu Aug 11 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.1.0-1
- new upstream release.

* Sat Jan 15 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.2.0-1
- new upstream release.

* Fri Oct 29 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.0.0-1
- new upstream release.
- built with icu-69.
- built with icu-70.1.

* Thu Apr 08 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.8.0-2
- built with icu-69.

* Thu Mar 18 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.8.0-1
- new upstream release.
- dropped scriptlets.

* Fri Apr 24 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.4-2
- built with icu-67.

* Fri Mar 20 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.4-1
- new upstream release.
- built with icu-66.

* Sun Oct 13 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.2-1
- new upstream release.
- built with icu-65.

* Mon Jan 08 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.7.4-2
- rebuilt with libicu-60.2.

* Sun Jan 07 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.7.4-1
- new upstream release.

* Sat Jul  2 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.2.7-1
- new upstream release.

* Thu Oct 29 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.0.6-1
- new upstream release

* Mon Apr 13 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.9.40-1
- new upstream release

* Sat Nov 29 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.9.36-1
- new upstream release
- moved icu subpackage to System Environment/Libraries Group

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.35-1
- new upstream release

* Fri Mar 28 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.27-1
- new upstream release

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.25-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.21-1
- new upstream release
- add BuildRequires: libicu-devel
- add icu, icu-devel, and docs subpackages

* Wed Apr 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.14-1
- new upstream release

* Wed Jan 02 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.9-1
- new upstream release

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.5-1
- new upstream release

* Wed Sep 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.4-1
- initial build

