Name:           help2man
Summary:        Create simple man pages from --help output
Summary(ja):    --help の出力から簡単なマニュアルページを生成するツール
Version:        1.49.2
Release:        1%{?_dist_release}
Group:          programming
Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       daisuke, yasumichi

License:        GPLv2+
URL:            https://www.gnu.org/software/help2man/
Source:         https://ftp.gnu.org/gnu/help2man/help2man-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       perl-gettext
BuildRequires:  perl-gettext
#Requires:       perl(:MODULE_COMPAT_%%{perl_abi_version})

%description
help2man is a script to create simple man pages from the --help and
--version output of programs.

Since most GNU documentation is now in info format, this provides a
way to generate a placeholder man page pointing to that resource while
still providing some useful information.

%description -l ja
help2man は、プログラムの --help および --version オプションの出力から
簡単なマニュアルページを生成するスクリプトです。

ほとんどの GNU 文書は現在 info 形式であるため、有益な情報が info で提供
されていることを指し示すセクションをマニュアルページに生成する方法も
提供しています。


%debug_package


%prep
%setup -q -n help2man-%{version}
iconv -f ISO-8859-1 -t utf-8 THANKS > THANKS~
mv THANKS~ THANKS


%build
%configure
make %{?_smp_mflags}

# Fix up manpage encoding
#for f in help2man.*.h2m; do
#  b=$(basename $f .h2m);
#  c=$(grep 'charset: ISO-*' $f | sed -e 's,^.*: ,,')
#  iconv -f $c -t UTF-8 -o $b.1~ $b.1
#  mv $b.1~ $b.1
#done


%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
make install_l10n DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}


%clean
rm -fr $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-, root, root,-)
%license COPYING
%doc README NEWS THANKS
%{_bindir}/help2man
%{_infodir}/*
%{_mandir}/man1/*
%{_libdir}/help2man
%lang(da) %{_mandir}/da/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(el) %{_mandir}/el/man1/*
%lang(eo) %{_mandir}/eo/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hr) %{_mandir}/hr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(nb) %{_mandir}/nb/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(pt_BR) %{_mandir}/pt_BR/man1/*
%lang(ro) %{_mandir}/ro/man1/*
%lang(ru) %{_mandir}/ru/man1/*
%lang(sr) %{_mandir}/sr/man1/*
%lang(sv) %{_mandir}/sv/man1/*
%lang(ta) %{_mandir}/ta/man1/*
%lang(uk) %{_mandir}/uk/man1/*
%lang(vi) %{_mandir}/vi/man1/*
%lang(zh_CN) %{_mandir}/zh_CN/man1/*


%changelog
* Sat Sep 10 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.49.2-1
- new upstream release.

* Tue Sep 14 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.48.5-1
- new upstream release.
- dropped install-info scriptlets.

* Sat Aug 14 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.48.4-1
- new upstream release.

* Fri May 07 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.48.3-1
- new upstream release.

* Tue Feb 23 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.48.1-1
- new upstream release.

* Mon Aug 12 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.47.10-1
- new upstream release.

* Sat Jul 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.43.2-2
- rebuild with VineSeed environment

* Fri Jun 07 2013 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.43.2-1
- new upstream release.

* Tue May 31 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.40.1-1
- new upstream release.(include Japanese locale)
- delete Patch0. (fixed upstream)
- translate description.

* Fri May 06 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.39.2-3
- add Patch0. (use gettext for format of strftime.)
- update translation.

* Tue May 03 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.39.2-3
- update translation.(Fixed [JM:00259])

* Wed Apr 27 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.39.2-2
- update translation.(Fixed [VineSeed:23244])

* Wed Apr 27 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.39.2-1
- new upstream release.
- add languages(de, el, eo, it, pt_BR, ru, uk, vi)
- add Japanese translation.
- stop to change encoding of manpages.
- enable nls.
- add Vendor, Distribution and Packager tag.

* Tue Jan 18 2011 Shu KONNO <owa@bg.wakwak.com> 1.36.4-2
- rebuilt with new environment

* Sat Sep 06 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.36.4-1
- initial build for Vine Linux

* Sun Feb 10 2008 Ralf Corsépius <rc040203@freenet.de> - 1.36.4-2
- Update license tag.
- Convert THANKS to utf-8.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 1.36.4-1
- Upstream update.
- utf-8 encode l10n'd man pages.

* Fri Dec 23 2005 Ralf Corsépius <rc04203@freenet.de> - 1.36.3-1
- Upstream update.
- Add build option --with nls.

* Fri Dec 23 2005 Ralf Corsépius <rc04203@freenet.de> - 1.35.1-2
- Fix disttag (#176473).
- Cleanup spec.

* Fri Apr 29 2005 Ralf Corsepius <ralf[AT]links2linux.de> - 1.35.1-1
- Update to 1.35.1
- Minor spec fixes.
