%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: X.Org X11 libXt runtime library
Summary(ja): X.Org X11 libXt ランタイムライブラリ
Name: libXt
Version: 1.2.1
Release: 1%{?_dist_release}
Group: system
Vendor: Project Vine
Distribution: Vine Linux

License: MIT/X11
URL: https://www.x.org
Source0: https://www.x.org/archive/individual/lib/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: pkgconfig
BuildRequires: xorg-x11-proto-devel
BuildRequires: xorg-x11-util-macros
BuildRequires: libX11-devel
BuildRequires: libSM-devel
Obsoletes: XFree86-libs, XOrg-libs

%description
X.Org X11 libXt runtime library

%package devel
Summary: X.Org X11 libXt development package
Group: programming
Requires(pre): xorg-x11-filesystem
Requires: %{name} = %{version}-%{release}
Requires: xorg-x11-proto-devel
Requires: libX11-devel
Requires: libSM-devel
Obsoletes: XFree86-devel, XOrg-devel

%description devel
X.Org X11 libXt development package


# compat32
%package -n compat32-%{name}
Summary: X.Org X11 libXt runtime library
Summary(ja): X.Org X11 libXt ランタイムライブラリ
Group: system,legacy

%description -n compat32-%{name}
X.Org X11 libXt runtime library

%package -n compat32-%{name}-devel
Summary: X.Org X11 libXt development package
Group: programming,legacy
Requires(pre): xorg-x11-filesystem
Requires: compat32-%{name} = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}
Requires: compat32-libX11-devel
Requires: compat32-libSM-devel

%description -n compat32-%{name}-devel
X.Org X11 libXt development package


%debug_package


%prep
%setup -q

# Disable static library creation by default.
%define with_static 0


%build
# FIXME: Work around pointer aliasing warnings from compiler for now
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure \
%if ! %{with_static}
	--disable-static \
%endif
	--with-xfile-search-path="%{_sysconfdir}/X11/%%L/%%T/%%N%%C%%S:%{_sysconfdir}/X11/%%l/%%T/\%%N%%C%%S:%{_sysconfdir}/X11/%%T/%%N%%C%%S:%{_sysconfdir}/X11/%%L/%%T/%%N%%S:%{_sysconfdir}/X\11/%%l/%%T/%%N%%S:%{_sysconfdir}/X11/%%T/%%N%%S:%{_datadir}/X11/%%L/%%T/%%N%%C%%S:%{_datadir}/X1\1/%%l/%%T/%%N%%C%%S:%{_datadir}/X11/%%T/%%N%%C%%S:%{_datadir}/X11/%%L/%%T/%%N%%S:%{_datadir}/X11/%%\l/%%T/%%N%%S:%{_datadir}/X11/%%T/%%N%%S"

make


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
# NOTE: Create app-defaults directory so this package can be the canonical
# owner of the directory.
mkdir -p -m 0755 $RPM_BUILD_ROOT%{_datadir}/X11/app-defaults

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%license COPYING
%doc README ChangeLog
%{_libdir}/libXt.so.*
%dir %{_datadir}/X11/app-defaults

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/X11
# Listed explicitly instead of with glob, in order for rpm to autodetect
# when any additions or removals happen.  ie: New Xprint support that we
# do not want.
%{_includedir}/X11/CallbackI.h
%{_includedir}/X11/Composite.h
%{_includedir}/X11/CompositeP.h
%{_includedir}/X11/ConstrainP.h
%{_includedir}/X11/Constraint.h
%{_includedir}/X11/ConvertI.h
%{_includedir}/X11/Core.h
%{_includedir}/X11/CoreP.h
%{_includedir}/X11/CreateI.h
%{_includedir}/X11/EventI.h
%{_includedir}/X11/HookObjI.h
%{_includedir}/X11/InitialI.h
%{_includedir}/X11/Intrinsic.h
%{_includedir}/X11/IntrinsicI.h
%{_includedir}/X11/IntrinsicP.h
%{_includedir}/X11/Object.h
%{_includedir}/X11/ObjectP.h
%{_includedir}/X11/PassivGraI.h
%{_includedir}/X11/RectObj.h
%{_includedir}/X11/RectObjP.h
%{_includedir}/X11/ResConfigP.h
%{_includedir}/X11/ResourceI.h
%{_includedir}/X11/SelectionI.h
%{_includedir}/X11/Shell.h
%{_includedir}/X11/ShellI.h
%{_includedir}/X11/ShellP.h
%{_includedir}/X11/StringDefs.h
%{_includedir}/X11/ThreadsI.h
%{_includedir}/X11/TranslateI.h
%{_includedir}/X11/VarargsI.h
%{_includedir}/X11/Vendor.h
%{_includedir}/X11/VendorP.h
%{_includedir}/X11/Xtos.h
%if %{with_static}
%{_libdir}/libXt.a
%endif
%{_libdir}/libXt.so
%{_libdir}/pkgconfig/xt.pc
%{_datadir}/doc/%{name}
%{_mandir}/man3/*.3*

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root,-)
%{_libdir}/libXt.so.6
%{_libdir}/libXt.so.6.0.0

%files -n compat32-%{name}-devel
%defattr(-,root,root,-)
%if %{with_static}
%{_libdir}/libXt.a
%endif
%{_libdir}/libXt.so
%endif


%changelog
* Tue Sep 13 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.2.1-1
- new upstream release.
- dropped ldconfig scriptlets.

* Fri Sep 06 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.1.5-2
- rebuilt with current environment.

* Sun May 24 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.5-1
- new upstream release

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.4-2
- rebuild with VineSeed environment

* Sun Jun 02 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.4-1
- new upstream release
  (including security fix for CVE-2013-2002,2005)

* Sat Mar 24 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.3-1
- new upstream release

* Fri Mar 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.2-1
- new upstream release
- add BuildRequires: xorg-x11-util-macros

* Sat Mar 19 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.1-1
- new upstream release

* Sun Nov 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.9-1
- new upstream release
- remove Patch0

* Fri Sep 24 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.8-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sun Apr 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.8-1
- new upstream release

* Wed Nov 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.7-1
- new upstream release

* Tue May 05 2009 NAKAMURA Kenta <kenta@vinelinux.org> 1.0.5-2
- added compat32 package for x86_64 arch support

* Sat Jul 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.5-1
- new upstream release

* Sun May 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.4-1
- new versioning policy

* Sun Jan 13 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.4-0vl1
- initial build for Vine Linux

* Tue Aug 21 2007 Adam Jackson <ajax@redhat.com> - 1.0.4-3
- Rebuild for build id

* Sat Apr 21 2007 Matthias Clasen <mclasen@redhat.com> 1.0.4-2
- Don't install INSTALL

* Mon Nov 20 2006 Adam Jackson <ajax@redhat.com> 1.0.4-1.fc7
- Update to 1.0.4

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 1.0.2-3.1.fc6
- rebuild

* Tue Jul 11 2006 Mike A. Harris <mharris@redhat.com> 1.0.2-3.fc6
- Add the {_datadir}/X11/app-defaults directory to the file manifest, as
  libXt is the canonical owner of the directory.  Discovered in (#198025).

* Wed Jun 28 2006 Adam Jackson <ajackson@redhat.com> 1.0.2-2
- Added libXt-1.0.2-libsm-fix.patch to remove libSM from the Requires: line
  in the installed pkgconfig file.  Apps should link against libSM if they
  need it, but we shouldn't force them to link against it if they don't.

* Wed Jun 21 2006 Mike A. Harris <mharris@redhat.com> 1.0.2-1
- Updated libXt to version 1.0.2 from X11R7.1

* Fri Jun 09 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-3
- Added "Requires: xorg-x11-proto-devel" to devel package for xt.pc

* Mon Jun 05 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-2
- Added "BuildRequires: pkgconfig" for (#193503)
- Replace "makeinstall" with "make install DESTDIR=..."
- Remove package ownership of mandir/libdir/etc.

* Thu Apr 27 2006 Adam Jackson <ajackson@redhat.com> 1.0.1-1
- Update to 1.0.1

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 1.0.0-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.0.0-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 23 2006 Mike A. Harris <mharris@redhat.com> 1.0.0-2
- Bumped and rebuilt

* Fri Dec 16 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Updated libXt to version 1.0.0 from X11R7 RC4
- Added makestrs and it's manpage to the devel subpackage.

* Tue Dec 13 2005 Mike A. Harris <mharris@redhat.com> 0.99.3-1
- Updated libXt to version 0.99.3 from X11R7 RC3
- Added "Requires(pre): xorg-x11-filesystem >= 0.99.2-3", to ensure
  that /usr/lib/X11 and /usr/include/X11 pre-exist.
- Removed 'x' suffix from manpage directories to match RC3 upstream.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Dec 02 2005 Kristian H淡gsberg <krh@redhat.com> 0.99.2-3
- Use the default value from configure.ac for --with-xfile-search-path
  except with %%{_datadir} instead of $(libdir), so Xt can search for
  app-default files as usual.
- Move the --with-xfile-search-path outside the with_static condition.

* Tue Nov 29 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-2
- Invoke ./configure --with-xfile-search-path=%%{_datadir}/X11/app-defaults
  to make sure Xt is looking in the right place for app-defaults files.

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-1
- Updated libXt to version 0.99.2 from X11R7 RC2
- Changed 'Conflicts: XFree86-devel, xorg-x11-devel' to 'Obsoletes'
- Changed 'Conflicts: XFree86-libs, xorg-x11-libs' to 'Obsoletes'

* Wed Nov 02 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-3
- Actually spell RPM_OPT_FLAGS correctly this time.

* Mon Oct 31 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-2
- Build with -fno-strict-aliasing to work around possible pointer aliasing
  issue

* Mon Oct 24 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-1
- Updated libXt to version 0.99.1 from X11R7 RC1
- Updated file manifest to find manpages in 'man3x'

* Thu Oct 06 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-5
- Added Requires: libX11-devel to libXt-devel subpackage, as Xt headers
  include Xlib headers causing xterm and other things to fail to compile.

* Thu Sep 29 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-4
- Renamed package to remove xorg-x11 from the name due to unanimous decision
  between developers.
- Use Fedora Extras style BuildRoot tag.
- Disable static library creation by default.
- Add missing defattr to devel subpackage
- Add missing documentation files to doc macro
- Fix BuildRequires to use new style X library package names

* Wed Aug 24 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-3
- Changed all virtual BuildRequires to the "xorg-x11-" prefixed non-virtual
  package names, as we want xorg-x11 libs to explicitly build against
  X.Org supplied libs, rather than "any implementation", which is what the
  virtual provides is intended for.

* Tue Aug 23 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-2
- Renamed package to prepend "xorg-x11" to the name for consistency with
  the rest of the X11R7 packages.
- Added "Requires: %%{name} = %%{version}-%%{release}" dependency to devel
  subpackage to ensure the devel package matches the installed shared libs.
- Added virtual "Provides: lib<name>" and "Provides: lib<name>-devel" to
  allow applications to use implementation agnostic dependencies.
- Added post/postun scripts which call ldconfig.
- Added Conflicts with XFree86-libs and xorg-x11-libs to runtime package,
  and Conflicts with XFree86-devel and xorg-x11-devel to devel package.

* Mon Aug 22 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-1
- Initial build.
