%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Name:           mesa-libGLU
Summary:        Mesa libGLU library
Summary(ja):    Mesa libGLU ライブラリ
Version:        9.0.2
Release:        1%{?_dist_release}
Group:          system
Vendor:         Project Vine
Distribution:   Vine Linux

License:        MIT
URL:            https://www.mesa3d.org/
Source0:        https://archive.mesa3d.org/glu/glu-%{version}.tar.xz
Source2:        make-git-snapshot.sh

BuildRequires:  mesa-libGL-devel
Provides:       libGLU = %{version}-%{release}

%description
Mesa implementation of the standard GLU OpenGL utility API.


%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発ファイル
Group:          programming
Requires:       %{name} = %{version}-%{release}
Requires:       mesa-libGL-devel >= 9.0.0
Provides:       libGLU-devel = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


# compat32
%package -n compat32-%{name}
Summary: Mesa libGLU runtime library
Summary(ja): Mesa libGLU ランタイムライブラリ
Group: system,legacy
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
Mesa libGLU runtime library


%package -n compat32-%{name}-devel
Summary: Mesa libGLU development package
Summary(ja): Mesa libGLU 開発パッケージ
Group: programming,legacy
Requires: compat32-mesa-libGL >= 9.0.0
Requires: compat32-%{name} = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}

%description -n compat32-%{name}-devel
Mesa libGLU development package


%debug_package


%prep
%setup -q -n glu-%{version}


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
rm -rf $RPM_BUILD_ROOT%{_datadir}/man/man3/gl[A-Z]*


%files
%{_libdir}/libGLU.so.1
%{_libdir}/libGLU.so.1.3.*

%files devel
%{_includedir}/GL/glu*.h
%{_libdir}/libGLU.so
%{_libdir}/pkgconfig/glu.pc

%if %{build_compat32}
%files -n compat32-%{name}
%{_libdir}/libGLU.so.1
%{_libdir}/libGLU.so.1.3.*

%files -n compat32-%{name}-devel
%{_includedir}/GL/glu*.h
%{_libdir}/libGLU.so
%{_libdir}/pkgconfig/glu.pc
%endif


%changelog
* Sun Oct 02 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 9.0.2-1
- new upstream release.
- dropped ldconfig scriptlets.

* Thu Jun 30 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 9.0.0-4
- rebuild with gcc-5.4.0

* Tue Oct 14 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 9.0.0-3
- added Group tag

* Wed Jan 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 9.0.0-2
- add Requires: mesa-libGL-devel to mesa-libGLU-devel package
- remove Requires: mesa-libGL-devel from compat-mesa-libGLU-devel package

* Sat Nov 17 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 9.0.0-1
- initial build for Vine Linux

* Tue Sep 18 2012 Adam Jackson <ajax@redhat.com> 9.0.0-1
- libGLU 9.0

* Mon Sep 10 2012 Dave Airlie <airlied@redhat.com> 9.0-0.2
- add back libGLU provides for now

* Tue Sep 04 2012 Adam Jackson <ajax@redhat.com> 9.0-0.1
- Initial packaging for split libGLU

