%global srcname Babel

Summary: A collection of tools for internationalizing Python applications
Name: python-babel
Version: 2.10.3
Release: 1%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux

License: modified BSD-style License
URL: https://babel.pocoo.org/
Source0: https://files.pythonhosted.org/packages/source/B/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: python-rpm-macros
BuildRequires: python-setuptools, python2-rpm-macros, python-pytz
Requires: python-setuptools
Requires: python-pytz

%{?python_provide:%python_provide python2-babel}

%description
Babel is composed of two major parts:

 * tools to build and work with gettext message catalogs
 * a Python interface to the CLDR (Common Locale Data Repository), 
   providing access to various locale display names, localized number 
   and date formatting, etc. 


%package -n python3-babel
Summary: A collection of tools for internationalizing Python applications
Group: programming
BuildRequires: python3-setuptools, python3-rpm-macros, python3-pytz
Requires: python3-setuptools
Requires: python3-pytz

%{?python_provide:%python_provide python3-babel}

%description -n python3-babel
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.


%prep
%autosetup -n %{srcname}-%{version}


%build
%pip3_build_wheel


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%pip3_install_wheel


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -n python3-babel
%doc README.rst AUTHORS
%license LICENSE
%{_bindir}/pybabel
%{python3_sitelib}/Babel-*-info
%{python3_sitelib}/babel


%changelog
* Sun Oct 30 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.10.3-1
- new upstream release.
- dropped python2 support.

* Sun Aug 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.8.0-1
- new upstream release.

* Thu Nov 29 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.0-2
- fixed R:.

* Tue Nov 27 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.0-1
- new upstream release.
- added python3 support.

* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.6-3
- rebuild with VineSeed environment

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.6-2
- rebuild with python-2.7.2
- add BuildRequires: python-setuptools

* Sun Oct 30 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.9.6-1
- new upstream release

* Wed Feb  3 2010 Shu KONNO <owa@bg.wakwak.com> 0.9.4-2
- rebuilt with python-2.6.4

* Sun Apr  5 2009 IWAI, Masaharu <iwai@alib.jp> 0.9.4-1
- initial release

