Summary: Python HTTP for Humans
Name: python-requests
Version: 2.28.1
Release: 1%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

License: ASLv2
URL: https://pypi.python.org/pypi/requests
Source0: https://pypi.python.org/packages/source/r/requests/requests-%{version}.tar.gz
# Explicitly use the system certificates in ca-certificates.
# https://bugzilla.redhat.com/show_bug.cgi?id=904614
Patch0:         requests-2.28.1-system-certs.patch

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: python-rpm-macros
BuildRequires: python3-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-rpm-macros
BuildRequires: python3-setuptools

%description
Requests is an Apache2 Licensed HTTP library, written in Python, for human beings.


%package -n python3-requests
Summary: Python HTTP for Humans
Group: programming
Requires: python3

%description -n python3-requests
Requests is an Apache2 Licensed HTTP library, written in Python, for human beings.


%prep
%autosetup -p1 -n requests-%{version}

# Unbundle the certificate bundle from mozilla.
rm -rf requests/cacert.pem

# env shebang in nonexecutable file
sed -i '/#!\/usr\/.*python/d' requests/certs.py


%build
%pip3_build_wheel


%install
rm -rf $RPM_BUILD_ROOT
%pip3_install_wheel


%clean
rm -rf $RPM_BUILD_ROOT


%files -n python3-requests
%defattr(-,root,root,-)
%license LICENSE
%doc README* HISTORY*
%{python3_sitelib}/requests
%{python3_sitelib}/requests-*-info


%changelog
* Sat Oct 22 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.28.1-1
- new upstream release.
- dropped python2 support.

* Tue Feb 23 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.25.1-1
- new upstream release.
- updated Patch0.

* Sat Aug 15 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.24.0-1
- new upstream release.

* Wed Apr 08 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.23.0-1
- new upstream release.
- updated patches.

* Wed Nov 28 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.20.1-2
- fixed R:.
- imported Patch0-4 from rawhide.

* Wed Nov 28 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.20.1-1
- new upstream release.
- add python2 support.

* Tue Jun 28 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.5.1-2
- rebuild with python3-3.5.2

* Sun Mar 22 2015 IWAI, Masaharu <iwaim.sub@gmail.com> 2.5.1-1
- Initial build.
