%define	pkgname	six

# Basic Information
Name:		python-six
Version:	1.16.0
Release:	1%{?_dist_release}
Group:		programming
Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

License:	MIT
URL:		https://pypi.python.org/pypi/six/
Source0:	https://pypi.python.org/packages/source/s/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Summary:	Python 2 and 3 compatibility utilities
Summary(ja):	Python 2 および 3 の互換ユーテリティ

BuildArch:	noarch
# Dependency
Requires:	python
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
for smoothing over the differences between the Python versions with the goal of
writing Python code that is compatible on both Python versions.  See the
documentation for more information on what is provided.

Six supports every Python version since 2.5.  It is contained in only one Python
file, so it can be easily copied into your project. (The copyright and license
notice must be retained.)

Online documentation is at http://pythonhosted.org/six/.

Bugs can be reported to http://bitbucket.org/gutworth/six.  The code can also be
found there.

For questions about six or porting in general, email the python-porting mailing
list: http://mail.python.org/mailman/listinfo/python-porting


%package -n	python3-six
Summary:	Python 2 and 3 compatibility utilities
Summary(ja):	Python 2 および 3 の互換ユーテリティ
Group:		programming
Requires:	python3

%description -n python3-six
for smoothing over the differences between the Python versions with the goal of
writing Python code that is compatible on both Python versions.  See the
documentation for more information on what is provided.

Six supports every Python version since 2.5.  It is contained in only one Python
file, so it can be easily copied into your project. (The copyright and license
notice must be retained.)

Online documentation is at http://pythonhosted.org/six/.

Bugs can be reported to http://bitbucket.org/gutworth/six.  The code can also be
found there.

For questions about six or porting in general, email the python-porting mailing
list: http://mail.python.org/mailman/listinfo/python-porting


%prep
%setup -q -n six-%{version}


%build
%py_build
%pip3_build_wheel


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%py_install
%pip3_install_wheel


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%license LICENSE
%doc README*
%{python_sitelib}/six-%{version}-py*.egg-info
%{python_sitelib}/six.py*

%files -n python3-six
%defattr(-,root,root)
%license LICENSE
%doc README*
%{python3_sitelib}/six-*-info
%{python3_sitelib}/six.py*
%{python3_sitelib}/__pycache__/six.*


%changelog
* Sat Oct 22 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.16.0-1
- new upstream release.

* Tue Feb 23 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.15.0-2
- rebuilt with rpm-4.16.

* Sat Aug 15 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.15.0-1
- new upstream release.

* Sun Apr 12 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.14.0-1
- new upstream release.

* Wed Jan 31 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.11.0-1
- new upstream release.
- added a subpackage for python3.

* Sun Nov 15 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.10.0-1
- new upstream release.

* Sat Sep 20 2014 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.8.0-1
- initial build for Vine Linux
