%bcond_with systemd
%bcond_with tracker
%bcond_without pidl

%define samba_version 4.15.10
#define rc_number rc4
%define samba_release 1

%define doc_version 4.15.3
%define api_version 4.0
%define libwbc_soname 0
%define libwbc_sover 0.15
%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

%global with_libsmbclient 1
%global with_libwbclient 1

%global with_mitkrb5 0
%global with_dc 1

%define _unpackaged_files_terminate_build 1
%global _libexecdir %{_libdir}

%global libwbc_alternatives_suffix %nil
%if 0%{?__isa_bits} == 64
%global libwbc_alternatives_suffix -64
%endif

%{?rc_number:%define rc_suffix .%{rc_number}}

%define samba_includedir   %{_includedir}/samba-%{api_version}

%define samba_source source3

%global __perl_requires %{SOURCE999}
%global __perllib_requires %{SOURCE999}
%global __perllib_provides %{SOURCE999}

Summary: The Samba Suite of programs
Summary(ja): Samba スイート
Name: samba
Version: %{samba_version}
Release: %{samba_release}%{?rc_suffix}%{?_dist_release}%{?with_systemd:.systemd}
Group: servers
Vendor: Project Vine
Distribution: Vine Linux

License: GPLv3+
URL: http://www.samba.org/
Source: https://download.samba.org/pub/samba/stable/samba-%{version}%{?rc_number}.tar.gz
# Vine specific replacement-files
Source1: samba.log
# https://ja.osdn.net/projects/samba-jp/releases/
Source2: https://ja.osdn.net/dl/samba-jp/samba-ja-docs-%{doc_version}.tar.gz
Source5: pam_winbind.conf
Source6: samba.pamd

Source100:     nmb.init
Source101:     smb.init
Source102:     winbind.init
Source103:     smb.conf
Source104:     samba.sysconfig
Source200:     samba4.init
Source201:     named.conf.dlz

Source999: perl-requires.sh

BuildRoot: %{_tmppath}/%{name}-%{samba_version}-%{release}-root

Requires: /sbin/chkconfig /bin/mktemp /usr/bin/killall
Requires: fileutils sed /etc/init.d
Requires: logrotate
Requires: libaio
Requires: %{name}-common = %{samba_version}-%{release}
Requires: %{name}-libs   = %{samba_version}-%{release}
Requires(pre): %{name}-common = %{samba_version}-%{release}

Conflicts: samba < %{version}
Provides: samba = %{version}

Obsoletes: ctdb <= 2.5.5
%if ! %{with pidl}
Obsoletes: samba-pidl < %{version}-%{release}
%endif

%if %{with systemd}
BuildRequires: systemd-devel
%{?systemd_requires}
%else
Requires(post): /sbin/chkconfig, /sbin/service
Requires(preun): /sbin/chkconfig, /sbin/service
Requires(postun): /sbin/chkconfig, /sbin/service
%endif

BuildRequires: avahi-devel
BuildRequires: bison
#BuildRequires: ctdb-devel
BuildRequires: coreutils
BuildRequires: cups-devel
BuildRequires: cyrus-sasl-devel
BuildRequires: dbus-devel
BuildRequires: docbook-style-xsl
BuildRequires: docbook-utils
BuildRequires: e2fsprogs-devel
BuildRequires: flex
BuildRequires: gdb
BuildRequires: gettext
BuildRequires: gnutls-devel
BuildRequires: gpgme-devel
BuildRequires: jansson-devel
BuildRequires: keyutils-libs-devel
BuildRequires: krb5-devel
BuildRequires: krb5-workstation
#BuildRequires: ldb-tools
BuildRequires: libacl-devel
BuildRequires: libaio-devel
BuildRequires: libarchive-devel
BuildRequires: libattr-devel
BuildRequires: libblkid-devel
BuildConflicts: libbsd-devel
BuildRequires: libcap-devel
BuildRequires: libicu-devel
#BuildRequires: libldb-devel >= 1.1.25
BuildRequires: libpcap-devel
BuildRequires: libtdb-devel
#BuildRequires: libtevent-devel
BuildRequires: libtirpc-devel
BuildRequires: libuuid-devel
BuildRequires: libxcrypt-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt
BuildRequires: ncurses-devel
BuildRequires: net-tools
BuildRequires: openldap-devel
BuildRequires: pam-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Parse::Yapp)
BuildRequires: pkgconfig
BuildRequires: popt-devel
BuildRequires: python3-devel
BuildRequires: python3-rpm-macros
BuildRequires: python3-dns
BuildRequires: python3-gpg
BuildRequires: python3-markdown
BuildRequires: python3-tdb
#BuildRequires: python3-ldb-devel
#BuildRequires: python3-talloc-devel
#BuildRequires: python3-tevent
BuildRequires: rpcgen
BuildRequires: readline-devel
BuildRequires: sqlite-devel
%if %{with tracker}
BuildRequires: tracker-devel
%endif
BuildRequires: zlib-devel

#BuildRequires: libuuid-devel

BuildConflicts: compat32-zlib-devel.32bit
BuildConflicts: compat32-libuuid.32bit
BuildConflicts: compat32-libuuid-devel.32bit

# Working around perl dependency problem from docs
#define __perl_requires %{SOURCE999}

%description
Samba is the standard Windows interoperability suite of programs
for Linux and Unix.

%description -l ja
SambaはLinux・UNIX用の、Windowsとの標準的な相互運用性ソフトウェア群です。

## --------------------------------------------------------------------
%package client
Summary: Samba client programs
Summary(ja): Samba クライアントプログラム
Group: network
Requires: samba-common = %{samba_version}-%{release}
Obsoletes: smbfs
Conflicts: %{name}-client < %{samba_version}
Provides: samba-client = %{samba_version}

%description client
The samba-client package provides some SMB/CIFS clients to complement
the built-in SMB/CIFS filesystem in Linux. These clients allow access
of SMB/CIFS shares and printing to SMB/CIFS printers.

%description client -l ja
samba-client は Linux カーネルがサポートしている SMB ファイルシステム
機能を操作する SMB クライアントを提供します。
これらは SMB 共有のアクセスと SMB プリンタへの印刷を実現します。

## --------------------------------------------------------------------
%package libs
Summary: Samba libraries
Summary(ja): Samba ライブラリ
Group: system
%if %with_libwbclient
Requires: libwbclient
%endif
Obsoletes: libtalloc <= 2.1.14
Obsoletes: libtevent <= 0.9.37
Obsoletes: libldb <= 1.4.6

%description libs
The samba4-libs package contains the libraries needed by programs that
link against the SMB, RPC and other protocols provided by the Samba suite.

## --------------------------------------------------------------------
%package python
Summary: Samba Python libraries
Summary(ja): Python 向け Samba ライブラリ
Group: system
Requires: %{name}-libs = %{samba_version}
Provides: %{name}-python3 = %{version}-%{release}

%description python
The samba4-python package contains the Python libraries needed by programs
that use SMB, RPC and other Samba provided protocols in Python programs.

## --------------------------------------------------------------------
%package devel
Summary: Developer tools for Samba libraries
Summary(ja): Samba ライブラリの開発用ファイル
Group: programming
Requires: %{name}-libs = %{samba_version}-%{release}

Conflicts: samba-devel < %{samba_version}
Provides: samba-devel = %{samba_version}

%description devel
The samba4-devel package contains the header files for the libraries
needed to develop programs that link against the SMB, RPC and other
libraries in the Samba suite.

## --------------------------------------------------------------------
%if %{with pidl}
%package pidl
Summary: Perl IDL compiler
Group: programming
Requires: perl >= 2:5.34.0

%description pidl
The samba4-pidl package contains the Perl IDL compiler used by Samba
and Wireshark to parse IDL and similar protocols
%endif

## --------------------------------------------------------------------
%package common
Summary: Files used by both Samba servers and clients
Summary(ja): Samba サーバーとクライアントの両方に使用されるファイル
Group: system
Conflicts: samba-common < %{samba_version}
Provides: samba-common = %{samba_version}-%{release}
Requires: %{name}-libs = %{samba_version}-%{release}
Requires: pam
Requires(pre): /usr/sbin/groupadd
Requires(post): /sbin/chkconfig, /sbin/service, coreutils, acl
Requires(preun): /sbin/chkconfig, /sbin/service
Obsoletes: samba-swat < 4.1.0

%description common
Samba-common provides files necessary for both the server and client
packages of Samba.

%description common -l ja
samba-common は Samba のサーバーとクライアントの両方のパッケージで
使用される共通のファイルを提供します。

## --------------------------------------------------------------------
%package test
Summary: Testing tools for Samba servers and clients
Group: system

%description test
samba4-test provides testing tools for both the server and client
packages of Samba.

## --------------------------------------------------------------------
%package winbind
Summary: Samba winbind
Group: system
Conflicts: samba-winbind < %{samba_version}
Provides: samba-winbind = %{samba_version}
Requires: samba-common = %{samba_version}-%{release}
Requires(pre): /usr/sbin/groupadd
%if %{with systemd}
%{?systemd_requires}
%else
Requires(post): /sbin/chkconfig, /sbin/service, coreutils
Requires(preun): /sbin/chkconfig, /sbin/service
Requires(postun): /sbin/chkconfig, /sbin/service
%endif

%description winbind
The samba-winbind package provides the winbind daemon, a NSS library, a PAM
module and some client tools. Winbind enables Linux to be a full member in
Windows domains and to use Windows user and group accounts on Linux.


## --------------------------------------------------------------------
%package winbind-krb5-locator
Summary: Samba winbind krb5 locator
Group: system
Requires: %{name}-winbind-clients = %{samba_version}-%{release}
Conflicts: samba-winbind-krb5-locator < %{samba_version}
Provides: samba-winbind-krb5-locator = %{samba_version}-%{release}

%description winbind-krb5-locator
The winbind krb5 locator is a plugin for the system kerberos library
to allow the local kerberos library to use the same KDC as samba and
winbind use

## --------------------------------------------------------------------
%package winbind-clients
Summary: Samba winbind clients
Group: admin-tools
Conflicts: samba-winbind-clients < %{samba_version}
Provides: samba-winbind-clients = %{samba_version}

%description winbind-clients
The %{name}-winbind-clients package provides the NSS library and a PAM
module necessary to communicate to the Winbind Daemon

## --------------------------------------------------------------------
%package -n libsmbclient
Summary: The SMB client library
Summary(ja): SMB クライアントライブラリ
Group: system
Requires: %{name}-common = %{samba_version}

Conflicts: libsmbclient < %{samba_version}
Provides: libsmbclient = %{samba_version}

%description -n libsmbclient
The libsmbclient contains the SMB client library from the Samba suite.

%description -n libsmbclient -l ja
libsmbclient は Samba クライアントの機能を提供するライブラリを
提供します。

## --------------------------------------------------------------------
%package -n libsmbclient-devel
Summary: Developer tools for the SMB client library
Summary(ja): SMB クライアントライブラリ開発用ファイル
Group: programming
Requires: libsmbclient = %{samba_version}

Conflicts: libsmbclient-devel < %{samba_version}
Provides: libsmbclient-devel = %{samba_version}

%description -n libsmbclient-devel
 The libsmbclient-devel package contains the header files and libraries
needed to develop programs that link against the SMB client library
in the Samba suite.

%description -n libsmbclient-devel -l ja
libsmbclient-devel は Samba クライアントの機能を提供するライブラリを
使ったアプリケーションを開発するためのファイルを提供します。

## --------------------------------------------------------------------
%if %with_libwbclient
%package -n libwbclient
Summary: system
Summary(ja): Winbind クライアントライブラリ
Group: System Environment/Libraries

%description -n libwbclient
 The libwbclient package contains the winbind client library from
the Samba suite.

## --------------------------------------------------------------------
%package -n libwbclient-devel
Summary: Developer tools for the winbind library
Summary(ja): Winbind ライブラリの開発用ファイル
Group: programming
Requires: libwbclient = %{samba_version}-%{release}

%description -n libwbclient-devel
 The libwbclient-devel package provides developer tools for the wbclient
library.
%endif # with_libwbclient

## --------------------------------------------------------------------
%package dc
Summary: Samba AD Domain Controller
Group: servers
Requires: %{name} = %{samba_version}-%{release}
Requires: %{name}-winbind = %{samba_version}-%{release}
Requires: %{name}-client = %{samba_version}-%{release}
Requires: %{name}-python = %{samba_version}-%{release}
Requires: python3-dns
Requires(post): acl
%if %{with systemd}
%{?systemd_requires}
%else
Requires(post): /sbin/chkconfig, /sbin/service
Requires(preun): /sbin/chkconfig, /sbin/service
Requires(postun): /sbin/chkconfig, /sbin/service
%endif

%description dc
The %{name}-dc package provides AD Domain Controller functionality

## --------------------------------------------------------------------
%package dc-libs
Summary: Samba AD Domain Controller Libraries 
Summary(ja): Samba AD ドメインコントローラ ライブラリ
Group: system
Requires: %{name}-libs = %{samba_version}

%description dc-libs
The samba-dc-libs package contains the libraries needed by the DC to
link against the SMB, RPC and other protocols.

## --------------------------------------------------------------------
%if %build_compat32

%package -n compat32-samba-libs
Summary: Samba libraries
Summary(ja): Samba ライブラリ
Group: system,legacy
%if %with_libwbclient
Requires: compat32-libwbclient
%endif

%description -n compat32-samba-libs
The samba4-libs package contains the libraries needed by programs that
link against the SMB, RPC and other protocols provided by the Samba suite.

## --------------------------------------------------------------------

%package -n compat32-libsmbclient
Summary: The SMB client library
Summary(ja): SMB クライアントライブラリ
Group: system,legacy
Requires: samba-common = %{samba_version}-%{release}

%description -n compat32-libsmbclient
The libsmbclient contains the SMB client library from the Samba suite.

%description -n compat32-libsmbclient -l ja
libsmbclient は Samba クライアントの機能を提供するライブラリを
提供します。

## --------------------------------------------------------------------
%package -n compat32-libwbclient
Summary: The winbind client library
Summary(ja): Winbind クライアントライブラリ
Group: system,legacy
Requires: samba-common = %{samba_version}-%{release}
Requires(pre): /usr/sbin/groupadd
Requires(post): /sbin/chkconfig, /sbin/service, coreutils
Requires(preun): /sbin/chkconfig, /sbin/service

%description -n compat32-libwbclient
 The libwbclient package contains the winbind client library from
the Samba suite.

%endif

## --------------------------------------------------------------------
%debug_package

## ====================================================================
%prep
%setup -q -n samba-%{samba_version}%{?rc_number}

mkdir -p docs-ja
pushd docs-ja
tar zxf %{SOURCE2}
popd

## ====================================================================
%build

%global _tdb_lib ,!tdb,!pytdb
%global _talloc_lib ,talloc,pytalloc,pytalloc-util
%global _tevent_lib ,tevent,pytevent
%global _ldb_lib ,ldb,pyldb

%global _samba4_libraries heimdal,!zlib,ctdb,!popt%{_talloc_lib}%{_tevent_lib}%{_tdb_lib}%{_ldb_lib}

%global _samba4_idmap_modules idmap_ad,idmap_rid,idmap_adex,idmap_hash,idmap_tdb2
%global _samba4_pdb_modules pdb_tdbsam,pdb_ldap,pdb_ads,pdb_smbpasswd,pdb_wbc_sam,pdb_samba4
%global _samba4_auth_modules auth_unix,auth_wbc,auth_server,auth_netlogond,auth_script,auth_samba4

%global _samba4_modules %{_samba4_idmap_modules},%{_samba4_pdb_modules},%{_samba4_auth_modules}

%global _libsmbclient %nil
%global _libwbclient %nil

%if ! %with_libsmbclient
%global _libsmbclient smbclient,
%endif

%if ! %with_libwbclient
%global _libwbclient wbclient,
%endif

%global _samba4_private_libraries %{_libsmbclient}%{_libwbclient}


sed \
  -e 's|@PROG_CMD@|%{_sbindir}\/samba|g' \
  -e 's|@SAMBA_PID@|%{_var}\/run\/samba/samba\.pid|g' \
  %{SOURCE200} > samba4.init

make distclean

##export PATH=$PATH:$PWD/buildtools/bin
export PYTHON=%{__python3}

%configure \
  --enable-fhs \
  --bundled-libraries=%{_samba4_libraries} \
  --with-shared-modules=%{_samba4_modules} \
  --with-pam \
  --without-fam \
  --disable-rpath-install \
  --with-cachedir=/var/lib/samba \
  --with-configdir=%{_sysconfdir}/samba \
  --with-lockdir=/var/lib/samba \
  --with-logfilebase=/var/log/samba \
  --with-modulesdir=%{_libdir}/samba \
  --with-pammodulesdir=/%{_lib}/security \
  --with-privatedir=/var/lib/samba/private \
  --without-ldb-lmdb \
%if ! %{with tracker}
  --disable-spotlight \
%endif
%if %{with systemd}
  --with-systemd \
  --systemd-install-services \
  --with-systemddir=%{_unitdir} \
  --with-piddir=/run/samba \
  --with-sockets-dir=/run/samba \
%else
  --with-piddir=/var/run/samba \
  --with-sockets-dir=/var/run/samba \
%endif
  %{nil}

#  --bundled-libraries=NONE \
#  --with-system-mitkrb5 \
#  --with-cluster-support \

# try and build the manpages
#./release-scripts/build-manpages-nogit

make %{?_smp_mflags}

%if %{with pidl}
pushd pidl
%__perl Makefile.PL PREFIX=%{_prefix}
make %{?_smp_mflags}
popd
%endif

# Remove some permission bits to avoid to many dependencies
find examples docs-xml -type f | xargs -r chmod -x

## ====================================================================
%install
rm -rf %{buildroot}
make %{?_smp_mflags} install DESTDIR=%{buildroot}

%if %{with pidl}
pushd pidl
make DESTDIR=%{buildroot} install_vendor

find %{buildroot}%{perl_archlib} -type f -name perllocal.pod | xargs rm -f
find %{buildroot}%{perl_vendorarch} -type f -name .packlist | xargs rm -f
# Already packaged by perl Parse:Yapp
rm -rf %{buildroot}%{perl_vendorlib}/Parse/Yapp
popd
%endif

# Create the target build directory hierarchy
mkdir -p %{buildroot}%{samba_includedir}
mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_sysconfdir}/{pam.d,samba,logrotate.d}
mkdir -p %{buildroot}%{_sysconfdir}/{samba,security,sysconfig}
mkdir -p %{buildroot}%{_sysconfdir}/xinetd.d
mkdir -p %{buildroot}/%{_libdir}/krb5/plugins/libkrb5

install -d -m 0755 %{buildroot}/usr/{sbin,bin}
install -d -m 0755 %{buildroot}%{_libdir}/security
install -d -m 0755 %{buildroot}/var/lib/samba
install -d -m 0755 %{buildroot}/var/lib/samba/msg
install -d -m 0755 %{buildroot}/var/lib/samba/private
install -d -m 0755 %{buildroot}/var/lib/samba/winbindd_privileged
install -d -m 0755 %{buildroot}/var/lib/samba/scripts
install -d -m 0755 %{buildroot}/var/lib/samba/sysvol
install -d -m 0755 %{buildroot}/var/log/samba/old
install -d -m 0755 %{buildroot}/var/run/samba
install -d -m 0755 %{buildroot}/var/run/winbindd
install -d -m 0755 %{buildroot}/var/spool/samba
install -d -m 0755 %{buildroot}/%{_libdir}/samba
install -d -m 0755 %{buildroot}/%{_libdir}/pkgconfig

%if %{with systemd}
install -d -m 0755 %{buildroot}%{_tmpfilesdir}
# Create /run/samba.
echo "d /run/samba  755 root root" > %{buildroot}%{_tmpfilesdir}/samba.conf
%else
# initscripts
install -m755 %{SOURCE100} %{buildroot}%{_initrddir}/nmb
install -m755 %{SOURCE101} %{buildroot}%{_initrddir}/smb
install -m755 %{SOURCE102} %{buildroot}%{_initrddir}/winbind
install -m755 samba4.init %{buildroot}%{_initrddir}/samba
%endif

# pam
install -m644 %{SOURCE6} %{buildroot}%{_sysconfdir}/pam.d/samba

# Move libwbclient.so* into private directory, it cannot be just libdir/samba
# because samba uses rpath with this directory.
install -d -m 0755 %{buildroot}/%{_libdir}/samba/wbclient
mv %{buildroot}/%{_libdir}/libwbclient.so* %{buildroot}/%{_libdir}/samba/wbclient

# Install other stuff
install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/samba

install -m644 %{SOURCE103} ./smb.conf.example

install -d -m 0755 %{buildroot}%{_sysconfdir}/security
install -m 0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/security/pam_winbind.conf

echo 127.0.0.1 localhost > %{buildroot}%{_sysconfdir}/samba/lmhosts

# openLDAP database schema
install -d -m 0755 %{buildroot}%{_sysconfdir}/openldap/schema
install -m644 examples/LDAP/samba.schema %{buildroot}%{_sysconfdir}/openldap/schema/samba.schema

install -m 0744 packaging/printing/smbprint %{buildroot}%{_bindir}/smbprint

#install -d -m 0755 %{buildroot}%{_prefix}/lib/tmpfiles.d/
#install -m644 packaging/systemd/samba.conf.tmp %{buildroot}%{_prefix}/lib/tmpfiles.d/samba.conf
# create /var/run/samba too.
#echo "d /var/run/samba  755 root root" >> %{buildroot}%{_prefix}/lib/tmpfiles.d/samba.conf

#echo "d /var/run/ctdb 755 root root" >> %{buildroot}%{_tmpfilesdir}/ctdb.conf

install -d -m 0755 %{buildroot}%{_sysconfdir}/sysconfig
install -m 0644 %{SOURCE104} %{buildroot}%{_sysconfdir}/sysconfig/samba

#install -m 0644 ctdb/config/ctdb.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/ctdb

# winbind krb5 locator
install -d -m 0755 %{buildroot}%{_libdir}/krb5/plugins/libkrb5
touch %{buildroot}%{_libdir}/krb5/plugins/libkrb5/winbind_krb5_locator.so

# This makes the right links, as rpmlint requires that
# the ldconfig-created links be recorded in the RPM.
/sbin/ldconfig -N -n %{buildroot}%{_libdir}

rm -rf docs-ja
mkdir -p docs-ja
pushd docs-ja
tar zxf %{SOURCE2}
popd

find docs-ja/docs-xml/output/manpages/ -type f| while read f; do
  c=`echo -n $f | sed -e 's,^.*\.,,'`
  gzip -9 $f
  mkdir -p %{buildroot}%{_mandir}/ja/man$c
  cp -f $f.gz %{buildroot}%{_mandir}/ja/man$c/
done

rm -f %{buildroot}%{_mandir}/ja/man1/winexe.1*


## ====================================================================
%clean
rm -rf %{buildroot}

## ====================================================================
%pre
if [ "$1" -eq "2" ]; then
  PREV=`/usr/sbin/smbd -V 2>/dev/null | sed -e 's/^Version \([0-9]*\)\..*$/\1/'`
  if [ "x$PREV" == "x3" ]; then
    /sbin/service smb stop >/dev/null 2>&1 || :
    /sbin/service nmb stop >/dev/null 2>&1 || :

    cp -af %{_sysconfdir}/samba/smb.conf %{_sysconfdir}/samba/smb.conf.samba3
    cp -af /var/lib/samba /var/lib/samba3

    echo "Samba is upgraded from version 3.x to 4.x and daemons are stopped."
    echo "Please check and update configurations."
    echo
    echo "The old files are copied:"
    echo "  /etc/samba/smb.conf -> /etc/samba/smb.conf.samba3"
    echo "  /var/lib/samba -> /var/lib/samba3"
    echo
  fi
fi

## ====================================================================
%post
%if %{with systemd}
%systemd_post smb.service
%systemd_post nmb.service
%else
if [ $1 -eq 1 ]; then   # Install
  # chkconfig
  /sbin/chkconfig --add smb
  /sbin/chkconfig --add nmb
fi
exit 0
%endif

## --------------------------------------------------------------------
%preun
%if %{with systemd}
%systemd_preun smb.service
%systemd_preun nmb.service
%else
if [ $1 = 0 -o -x /bin/systemctl ] ; then
  /sbin/service smb stop >/dev/null 2>&1 || :
  /sbin/service nmb stop >/dev/null 2>&1 || :
  /sbin/service samba stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del smb
  /sbin/chkconfig --del nmb
  /sbin/chkconfig --del samba
  # rm -rf /var/log/samba/* /var/lib/samba/*
fi
exit 0
%endif

## --------------------------------------------------------------------
%postun
%if %{with systemd}
%systemd_postun_with_restart smb.service
%systemd_postun_with_restart nmb.service
%else
if [ $1 -ge 0 ]; then   # Upgrade
  /sbin/service smb condrestart >/dev/null 2>&1 || :
  /sbin/service nmb condrestart >/dev/null 2>&1 || :
fi
%endif

## --------------------------------------------------------------------
%pre winbind
/usr/sbin/groupadd -g 88 wbpriv >/dev/null 2>&1 || :

## --------------------------------------------------------------------
%post winbind
%if %{with systemd}
%systemd_post winbind.service
%else
/sbin/chkconfig --add winbind
%endif

## --------------------------------------------------------------------
%preun winbind
%if %{with systemd}
%systemd_preun winbind.service
%else
if [ $1 = 0 -o -x /bin/systemctl ] ; then
    /sbin/service winbind stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del winbind
fi
exit 0
%endif

## --------------------------------------------------------------------
%postun winbind
%if %{with systemd}
%systemd_postun_with_restart winbind.service
%else
%endif
if [ "$1" -ge 0 ]; then
	/sbin/service winbind condrestart >/dev/null 2>&1 || :
fi

## --------------------------------------------------------------------
%post dc
if [ $1 -eq 1 ]; then   # Install
  # modify named.conf.dlz for DLZ configuration if version 9.9.0 or later
  if [ -f /usr/sbin/named ]; then
    bind_minor_ver=$(named -v | sed -e "s|^BIND \([.0-9]*\)|\1|" | cut -d "." -f 2)
    if [ $bind_minor_ver -gt 8 ]; then
      cat %{_datadir}/samba/setup/named.conf.dlz \
        | sed -e "s|\(database.*dlz_bind9.so\)|# \1|" > %{_datadir}/samba/setup/named.conf.dlz9
      cat %{_datadir}/samba/setup/named.conf.dlz9 > %{_datadir}/samba/setup/named.conf.dlz
      rm %{_datadir}/samba/setup/named.conf.dlz9
    fi
  fi

%if !%{with systemd}
  /sbin/chkconfig --add samba
%endif

  # rename original smb.conf for provisioning
  if [ -f /etc/samba/smb.conf ]; then
    mv -f %{_sysconfdir}/samba/smb.conf %{_sysconfdir}/samba/smb.conf.old
  fi
fi

setfacl -m u:named:rwx /var/lib/samba/private >/dev/null 2>/dev/null || :

if [ -d /var/lib/samba/private/tls ]; then
  chmod 0700 /var/lib/samba/private/tls
fi
if [ -f /var/lib/samba/private/tls/key.pem ]; then
  chmod 0600 /var/lib/samba/private/tls/key.pem
fi
%if %{with systemd}
%systemd_post samba.service
%endif

%preun dc
%if %{with systemd}
%systemd_preun samba.service
%else
if [ $1 = 0 -o -x /bin/systemctl ] ; then
    /sbin/service samba stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del samba
fi
exit 0
%endif

%postun dc
%if %{with systemd}
%systemd_postun_with_restart samba.service
%else
if [ $1 -ge 0 ]; then   # Upgrade
  if [ -f /var/run/samba/samba.pid ]; then
    /sbin/service samba restart >/dev/null 2>&1 || :
  fi
fi
%endif

## --------------------------------------------------------------------
%post common
setfacl -m u:named:rwx /var/lib/samba/private >/dev/null 2>/dev/null || :

%if %{with systemd}
%tmpfiles_create %{_tmpfilesdir}/samba.conf
%endif

## --------------------------------------------------------------------

%posttrans -n libwbclient
# It has to be posttrans here to make sure all files of a previous version
# without alternatives support are removed
%{_sbindir}/update-alternatives \
	--install \
		%{_libdir}/libwbclient.so.%{libwbc_sover} \
		libwbclient.so.%{libwbc_sover}%{libwbc_alternatives_suffix} \
		%{_libdir}/samba/wbclient/libwbclient.so.%{libwbc_sover} \
		10 \
	--slave \
		%{_libdir}/libwbclient.so.%{libwbc_soname} \
		libwbclient.so.%{libwbc_soname}%{libwbc_alternatives_suffix} \
		%{_libdir}/samba/wbclient/libwbclient.so.%{libwbc_soname}

## --------------------------------------------------------------------

%preun -n libwbclient
%{_sbindir}/update-alternatives \
	--remove \
	libwbclient.so.%{libwbc_sover}%{libwbc_alternatives_suffix} \
	%{_libdir}/samba/wbclient/libwbclient.so.%{libwbc_sover}

## --------------------------------------------------------------------

%posttrans -n libwbclient-devel
%{_sbindir}/update-alternatives \
	--install \
		%{_libdir}/libwbclient.so \
		libwbclient.so%{libwbc_alternatives_suffix} \
		%{_libdir}/samba/wbclient/libwbclient.so \
		10

## --------------------------------------------------------------------

%preun -n libwbclient-devel
# alternatives checks if the file which should be removed is a link or not, but
# not if it points to the /etc/alternatives directory or to some other place.
# When downgrading to a version where alternatives is not used and
# libwbclient.so is a link and not a file it will be removed. The following
# check removes the alternatives files manually if that is the case.
if [ "`readlink %{_libdir}/libwbclient.so`" == "libwbclient.so.%{libwbc_sover}" ]; then
	/bin/rm -f \
		/etc/alternatives/libwbclient.so%{libwbc_alternatives_suffix} \
		/var/lib/rpm/alternatives/libwbclient.so%{libwbc_alternatives_suffix} 2> /dev/null
else
	%{_sbindir}/update-alternatives \
		--remove \
			libwbclient.so%{libwbc_alternatives_suffix} \
			%{_libdir}/samba/wbclient/libwbclient.so
fi

%if %build_compat32
## --------------------------------------------------------------------

%posttrans -n compat32-libwbclient
# It has to be posttrans here to make sure all files of a previous version
# without alternatives support are removed
%{_sbindir}/update-alternatives \
	--install \
		%{_libdir}/libwbclient.so.%{libwbc_sover} \
		libwbclient.so.%{libwbc_sover}%{libwbc_alternatives_suffix} \
		%{_libdir}/samba/wbclient/libwbclient.so.%{libwbc_sover} \
		10

## --------------------------------------------------------------------

%preun -n compat32-libwbclient
%{_sbindir}/update-alternatives \
	--remove \
		libwbclient.so.%{libwbc_sover}%{libwbc_alternatives_suffix} \
		%{_libdir}/samba/wbclient/libwbclient.so.%{libwbc_sover}
%endif


%files
%defattr(-,root,root,-)
%license COPYING
%doc PFIF.txt README.md README.contributing VERSION WHATSNEW.txt
%doc docs-ja/docs-xml/output/htmldocs
%{_bindir}/dumpmscat
%{_bindir}/ldbadd
%{_bindir}/ldbdel
%{_bindir}/ldbedit
%{_bindir}/ldbmodify
%{_bindir}/ldbrename
%{_bindir}/ldbsearch
%{_bindir}/mvxattr
%{_bindir}/smbstatus
%{_sbindir}/eventlogadm
%{_sbindir}/nmbd
%{_sbindir}/smbd
%{_libdir}/samba/auth
%{_libdir}/samba/samba-bgqd
%{_libdir}/samba/vfs
%config(noreplace) %{_sysconfdir}/logrotate.d/samba
%config(noreplace) %{_sysconfdir}/pam.d/samba
%{_sysconfdir}/openldap/schema/samba.schema
%attr(0700,root,root) %dir /var/log/samba
%attr(0700,root,root) %dir /var/log/samba/old
%attr(1777,root,root) %dir /var/spool/samba
%if %{with systemd}
%{_unitdir}/smb.service
%{_unitdir}/nmb.service
%else
%{_initrddir}/nmb
%{_initrddir}/smb
%endif
%if %{with tracker}
%{_datadir}/samba/mdssvc
%endif

%{_mandir}/man1/ldbadd.1*
%{_mandir}/man1/ldbdel.1*
%{_mandir}/man1/ldbedit.1*
%{_mandir}/man1/ldbmodify.1*
%{_mandir}/man1/ldbrename.1*
%{_mandir}/man1/ldbsearch.1*
%{_mandir}/man3/ldb.3*

%{_mandir}/man3/talloc.3.gz

%{_mandir}/man1/mvxattr.1*
%{_mandir}/man1/smbstatus.1*
%{_mandir}/man7/samba.7*
%{_mandir}/man8/eventlogadm.8*
%{_mandir}/man8/nmbd.8*
%{_mandir}/man8/samba-bgqd.8*
%{_mandir}/man8/smbd.8*
%{_mandir}/man8/vfs_acl_tdb.8*
%{_mandir}/man8/vfs_acl_xattr.8*
%{_mandir}/man8/vfs_aio_fork.8*
%{_mandir}/man8/vfs_aio_pthread.8*
%{_mandir}/man8/vfs_audit.8*
%{_mandir}/man8/vfs_btrfs.8*
#%{_mandir}/man8/vfs_cacheprime.8*
%{_mandir}/man8/vfs_cap.8*
%{_mandir}/man8/vfs_catia.8*
#%{_mandir}/man8/vfs_ceph.8*
%{_mandir}/man8/vfs_commit.8*
%{_mandir}/man8/vfs_crossrename.8*
%{_mandir}/man8/vfs_default_quota.8*
%{_mandir}/man8/vfs_dirsort.8*
%{_mandir}/man8/vfs_extd_audit.8*
%{_mandir}/man8/vfs_fake_perms.8*
%{_mandir}/man8/vfs_fileid.8*
%{_mandir}/man8/vfs_fruit.8*
%{_mandir}/man8/vfs_full_audit.8*
%{_mandir}/man8/vfs_glusterfs_fuse.8*
%{_mandir}/man8/vfs_gpfs.8*
%{_mandir}/man8/vfs_linux_xfs_sgid.8*
%{_mandir}/man8/vfs_media_harmony.8*
#%{_mandir}/man8/vfs_nfs4acl_xattr.8*
%{_mandir}/man8/vfs_offline.8*
#%{_mandir}/man8/vfs_prealloc.8*
%{_mandir}/man8/vfs_preopen.8*
%{_mandir}/man8/vfs_readahead.8*
%{_mandir}/man8/vfs_readonly.8*
%{_mandir}/man8/vfs_recycle.8*
%{_mandir}/man8/vfs_shadow_copy.8*
%{_mandir}/man8/vfs_shadow_copy2.8*
%{_mandir}/man8/vfs_shell_snap.8*
%{_mandir}/man8/vfs_snapper.8*
%{_mandir}/man8/vfs_streams_depot.8*
%{_mandir}/man8/vfs_streams_xattr.8*
%{_mandir}/man8/vfs_syncops.8*
%{_mandir}/man8/vfs_time_audit.8*
#%{_mandir}/man8/vfs_tsmsm.8*
%{_mandir}/man8/vfs_unityed_media.8*
%{_mandir}/man8/vfs_virusfilter.8*
%{_mandir}/man8/vfs_worm.8*
%{_mandir}/man8/vfs_widelinks.8*
%{_mandir}/man8/vfs_xattr_tdb.8*
# ja manuals
%{_mandir}/ja/man1/mvxattr.1*
%{_mandir}/ja/man1/smbstatus.1*
%{_mandir}/ja/man7/samba.7*
%{_mandir}/ja/man8/eventlogadm.8*
%{_mandir}/ja/man8/nmbd.8*
%{_mandir}/ja/man8/samba-bgqd.8*
%{_mandir}/ja/man8/smbd.8*
%{_mandir}/ja/man8/vfs_acl_tdb.8*
%{_mandir}/ja/man8/vfs_acl_xattr.8*
%{_mandir}/ja/man8/vfs_aio_fork.8*
%{_mandir}/ja/man8/vfs_aio_pthread.8*
%{_mandir}/ja/man8/vfs_audit.8*
%{_mandir}/ja/man8/vfs_btrfs.8*
%exclude %{_mandir}/ja/man8/vfs_cacheprime.8*
%{_mandir}/ja/man8/vfs_cap.8*
%{_mandir}/ja/man8/vfs_catia.8*
%exclude %{_mandir}/ja/man8/vfs_ceph.8*
%exclude %{_mandir}/ja/man8/vfs_ceph_snapshots.8.gz
%{_mandir}/ja/man8/vfs_commit.8*
%{_mandir}/ja/man8/vfs_crossrename.8*
%{_mandir}/ja/man8/vfs_default_quota.8*
%{_mandir}/ja/man8/vfs_dirsort.8*
%{_mandir}/ja/man8/vfs_extd_audit.8*
%{_mandir}/ja/man8/vfs_fake_perms.8*
%{_mandir}/ja/man8/vfs_fileid.8*
%{_mandir}/ja/man8/vfs_fruit.8*
%{_mandir}/ja/man8/vfs_full_audit.8*
%exclude %{_mandir}/ja/man8/vfs_glusterfs.8*
%{_mandir}/ja/man8/vfs_glusterfs_fuse.8*
%{_mandir}/ja/man8/vfs_gpfs.8*
%{_mandir}/ja/man8/vfs_io_uring.8.gz
%exclude %{_mandir}/ja/man8/vfs_nfs4acl_xattr.8*
%{_mandir}/ja/man8/vfs_linux_xfs_sgid.8*
%{_mandir}/ja/man8/vfs_media_harmony.8*
%{_mandir}/ja/man8/vfs_offline.8*
%exclude %{_mandir}/ja/man8/vfs_prealloc.8*
%{_mandir}/ja/man8/vfs_preopen.8*
%{_mandir}/ja/man8/vfs_readahead.8*
%{_mandir}/ja/man8/vfs_readonly.8*
%{_mandir}/ja/man8/vfs_recycle.8*
%{_mandir}/ja/man8/vfs_shadow_copy.8*
%{_mandir}/ja/man8/vfs_shadow_copy2.8*
%{_mandir}/ja/man8/vfs_shell_snap.8*
%{_mandir}/ja/man8/vfs_snapper.8*
%{_mandir}/ja/man8/vfs_streams_depot.8*
%{_mandir}/ja/man8/vfs_streams_xattr.8*
%{_mandir}/ja/man8/vfs_syncops.8*
%{_mandir}/ja/man8/vfs_time_audit.8*
%exclude %{_mandir}/ja/man8/vfs_tsmsm.8*
%{_mandir}/ja/man8/vfs_unityed_media.8*
%{_mandir}/ja/man8/vfs_virusfilter.8*
%{_mandir}/ja/man8/vfs_worm.8*
%{_mandir}/ja/man8/vfs_widelinks.8*
%{_mandir}/ja/man8/vfs_xattr_tdb.8*
%{_mandir}/ja/man8/vfs_zfsacl.8*

## --------------------------------------------------------------------
%files libs
%defattr(-,root,root)
%{_libdir}/libdcerpc-binding.so.*
%{_libdir}/libdcerpc-server-core.so.*
%{_libdir}/libdcerpc.so.*
%{_libdir}/libndr-krb5pac.so.*
%{_libdir}/libndr-nbt.so.*
%{_libdir}/libndr-standard.so.*
%{_libdir}/libndr.so.*
%{_libdir}/libnetapi.so.*
%{_libdir}/libsamba-credentials.so.*
%{_libdir}/libsamba-errors.so*
%{_libdir}/libsamba-hostconfig.so.*
%{_libdir}/libsamba-passdb.so.*
%{_libdir}/libsamba-util.so.*
%{_libdir}/libsamdb.so.*
%{_libdir}/libsmbconf.so.*
%{_libdir}/libsmbldap.so.*
%{_libdir}/libtevent-util.so.*

# talloc
%{_libdir}/samba/libtalloc.so*
%{_libdir}/samba/libpytalloc-util.*.so.*

# tevent
%{_libdir}/samba/libtevent.so*

# ldb
%{_libdir}/samba/libldb.so*
%{_libdir}/samba/libldb-*.so*
%{_libdir}/samba/libpyldb-util.*.so.*

# libraries needed by the public libraries
%dir %{_libdir}/samba
%{_libdir}/samba/libCHARSET3-samba4.so
%{_libdir}/samba/libLIBWBCLIENT-OLD-samba4.so
%{_libdir}/samba/libMESSAGING-samba4.so
%{_libdir}/samba/libMESSAGING-SEND-samba4.so
%{_libdir}/samba/libaddns-samba4.so
%{_libdir}/samba/libads-samba4.so
%{_libdir}/samba/libasn1-samba4.so.*
%{_libdir}/samba/libasn1util-samba4.so
#{_libdir}/samba/libauth-sam-reply-samba4.so
%{_libdir}/samba/libauth-samba4.so
%{_libdir}/samba/libauth-unix-token-samba4.so
%{_libdir}/samba/libauth4-samba4.so
%{_libdir}/samba/libauthkrb5-samba4.so
%{_libdir}/samba/libcli-cldap-samba4.so
%{_libdir}/samba/libcli-ldap-common-samba4.so
%{_libdir}/samba/libcli-ldap-samba4.so
%{_libdir}/samba/libcli-nbt-samba4.so
%{_libdir}/samba/libcli-smb-common-samba4.so
%{_libdir}/samba/libcli-spoolss-samba4.so
%{_libdir}/samba/libcliauth-samba4.so
%{_libdir}/samba/libclidns-samba4.so
%{_libdir}/samba/libcluster-samba4.so
%{_libdir}/samba/libcmdline-contexts-samba4.so
%{_libdir}/samba/libcmdline-samba4.so
%{_libdir}/samba/libcmocka-samba4.so
%{_libdir}/samba/libcom_err-samba4.so*
%{_libdir}/samba/libcommon-auth-samba4.so
%{_libdir}/samba/libdb-glue-samba4.so
%{_libdir}/samba/libdbwrap-samba4.so
%{_libdir}/samba/libdcerpc-pkt-auth-samba4.so
%{_libdir}/samba/libdcerpc-samba-samba4.so
%{_libdir}/samba/libdcerpc-samba4.so
%{_libdir}/samba/libdfs-server-ad-samba4.so
%{_libdir}/samba/libdsdb-garbage-collect-tombstones-samba4.so
%{_libdir}/samba/libdsdb-module-samba4.so
%{_libdir}/samba/libevents-samba4.so
%{_libdir}/samba/libflag-mapping-samba4.so
%{_libdir}/samba/libgensec-samba4.so
%{_libdir}/samba/libgpext-samba4.so
%{_libdir}/samba/libgpo-samba4.so
%{_libdir}/samba/libgse-samba4.so
%{_libdir}/samba/libgssapi-samba4.so.*
%{_libdir}/samba/libhcrypto-samba4.so.*
%{_libdir}/samba/libhdb-samba4.so.*
%{_libdir}/samba/libheimbase-samba4.so.*
%{_libdir}/samba/libhttp-samba4.so
%{_libdir}/samba/libhx509-samba4.so.*
%{_libdir}/samba/libinterfaces-samba4.so
%{_libdir}/samba/libiov-buf-samba4.so
%{_libdir}/samba/libkrb5-samba4.so.*
%{_libdir}/samba/libkrb5samba-samba4.so
%{_libdir}/samba/libldbsamba-samba4.so
%{_libdir}/samba/liblibcli-lsa3-samba4.so
%{_libdir}/samba/liblibcli-netlogon3-samba4.so
%{_libdir}/samba/liblibsmb-samba4.so
%{_libdir}/samba/libmessages-dgm-samba4.so
%{_libdir}/samba/libmessages-util-samba4.so
%{_libdir}/samba/libmscat-samba4.so
%{_libdir}/samba/libmsghdr-samba4.so
%{_libdir}/samba/libmsrpc3-samba4.so
%{_libdir}/samba/libndr-samba-samba4.so
%{_libdir}/samba/libndr-samba4.so
%{_libdir}/samba/libnet-keytab-samba4.so
%{_libdir}/samba/libnetif-samba4.so
%{_libdir}/samba/libnpa-tstream-samba4.so
%{_libdir}/samba/libnss-info-samba4.so
%{_libdir}/samba/libposix-eadb-samba4.so
%{_libdir}/samba/libprinter-driver-samba4.so
%{_libdir}/samba/libprinting-migrate-samba4.so
%{_libdir}/samba/libprocess-model-samba4.so
%{_libdir}/samba/libregistry-samba4.so
%{_libdir}/samba/libreplace-samba4.so
%{_libdir}/samba/libroken-samba4.so.*
%{_libdir}/samba/libsamba-cluster-support-samba4.so
%{_libdir}/samba/libsamba-debug-samba4.so
%{_libdir}/samba/libsamba-modules-samba4.so
%{_libdir}/samba/libsamba-python.cpython-*-samba4.so
%{_libdir}/samba/libsamba-security-samba4.so
%{_libdir}/samba/libsamba-sockets-samba4.so
%{_libdir}/samba/libsamba3-util-samba4.so
%{_libdir}/samba/libsamdb-common-samba4.so
%{_libdir}/samba/libsecrets3-samba4.so
%{_libdir}/samba/libserver-role-samba4.so
%{_libdir}/samba/libservice-samba4.so
%{_libdir}/samba/libshares-samba4.so
%{_libdir}/samba/libsmb-transport-samba4.so
%{_libdir}/samba/libsmbclient-raw-samba4.so
%{_libdir}/samba/libsmbd-base-samba4.so
#{_libdir}/samba/libsmbd-conn-samba4.so
%{_libdir}/samba/libsmbd-shim-samba4.so
%{_libdir}/samba/libsmbldaphelper-samba4.so
%{_libdir}/samba/libsmbpasswdparser-samba4.so
%{_libdir}/samba/libsocket-blocking-samba4.so
%{_libdir}/samba/libsys-rw-samba4.so
%{_libdir}/samba/libtalloc-report-printf-samba4.so
%{_libdir}/samba/libtalloc-report-samba4.so
%{_libdir}/samba/libtdb-wrap-samba4.so
%{_libdir}/samba/libtrusts-util-samba4.so
#{_libdir}/samba/libutil-cmdline-samba4.so
%{_libdir}/samba/libutil-reg-samba4.so
%{_libdir}/samba/libutil-setid-samba4.so
%{_libdir}/samba/libutil-tdb-samba4.so
%{_libdir}/samba/libwind-samba4.so.*
%{_libdir}/samba/libxattr-tdb-samba4.so

%if ! %with_libsmbclient
%{_libdir}/libsmbclient.so.*
%{_libdir}/libsmbsharemodes.so.*
%{_mandir}/man7/libsmbclient.7.gz
# ja manual
%{_mandir}/ja/man7/libsmbclient.7.gz
%endif # ! with_libsmbclient

%if ! %with_libwbclient
%{_libdir}/libwbclient.so.*
%{_libdir}/samba/libwinbind-client.so
%endif # ! with_libwbclient

## --------------------------------------------------------------------
%files common
%defattr(-,root,root)
%doc smb.conf.example
#%{_libdir}/samba/charset ???
#%{_sysconfdir}/tmpfiles.d/samba.conf
%{_bindir}/net
%{_bindir}/pdbedit
%{_bindir}/profiles
%{_bindir}/smbcontrol
%{_bindir}/testparm
#%{_datadir}/samba/codepages
%dir %{_datadir}/samba
%dir /var/run/samba
%dir /var/run/winbindd
%dir /var/lib/samba
%if %{with systemd}
%{_tmpfilesdir}/samba.conf
%endif
%attr(700,root,root) %dir /var/lib/samba/private
%attr(755,root,root) %dir /var/lib/samba/msg
%attr(755,root,root) %dir %{_sysconfdir}/samba
%ghost %config(noreplace) %{_sysconfdir}/samba/smb.conf
%config(noreplace) %{_sysconfdir}/samba/lmhosts
%config(noreplace) %{_sysconfdir}/sysconfig/samba
%{_mandir}/man1/profiles.1.gz
%{_mandir}/man1/smbcontrol.1.gz
%{_mandir}/man1/testparm.1.gz
%{_mandir}/man5/lmhosts.5.gz
%{_mandir}/man5/smb.conf.5.gz
%{_mandir}/man8/net.8.gz
%{_mandir}/man8/pdbedit.8.gz
# ja manuals
%{_mandir}/ja/man1/profiles.1.gz
%{_mandir}/ja/man1/smbcontrol.1.gz
%{_mandir}/ja/man1/testparm.1.gz
%{_mandir}/ja/man5/lmhosts.5.gz
%{_mandir}/ja/man5/smb.conf.5.gz
%{_mandir}/ja/man8/net.8.gz
%{_mandir}/ja/man8/pdbedit.8.gz

# common libraries
%{_libdir}/samba/libgenrand-samba4.so
#{_libdir}/samba/libpopt-samba3-cmdline-samba4.so
#{_libdir}/samba/libpopt-samba3-samba4.so
%{_libdir}/samba/libserver-id-db-samba4.so
%{_libdir}/samba/libtime-basic-samba4.so
%{_libdir}/samba/pdb

## --------------------------------------------------------------------
%files dc-libs
%defattr(-,root,root)
# dc
%{_libdir}/libdcerpc-samr.so.*
%{_libdir}/libdcerpc-server.so.*
%{_libdir}/libsamba-policy.*.so.*
%{_libdir}/samba/libHDB-SAMBA4-samba4.so
%{_libdir}/samba/libdnsserver-common-samba4.so
%{_libdir}/samba/libsamba-net.cpython-*-samba4.so
%{_libdir}/samba/libscavenge-dns-records-samba4.so

## --------------------------------------------------------------------
%files dc
%defattr(-,root,root)
%{_bindir}/samba-tool
%{_sbindir}/samba
%{_sbindir}/samba_kcc
%{_sbindir}/samba_dnsupdate
%{_sbindir}/samba_downgrade_db
%{_sbindir}/samba-gpupdate
%{_sbindir}/samba_spnupdate
%{_sbindir}/samba_upgradedns
%{_libdir}/samba/auth/samba4.so
%{_libdir}/samba/bind9
%{_libdir}/samba/gensec
%{_libdir}/samba/libheimntlm-samba4.so.*
%{_libdir}/samba/libkdc-samba4.so.*
%{_libdir}/samba/libpac-samba4.so
%dir %{_libdir}/samba/ldb
%{_libdir}/samba/ldb/*
%{_libdir}/samba/process_model
%{_libdir}/samba/service
%dir /var/lib/samba/sysvol
%{_datadir}/samba/admx
%{_datadir}/samba/setup
%if %{with systemd}
%{_unitdir}/samba.service
%else
%{_initrddir}/samba
%endif
%{_mandir}/man8/samba.8*
%{_mandir}/man8/samba-tool.8*
%{_mandir}/man8/samba_downgrade_db.8.gz
%{_mandir}/man8/samba-gpupdate.8*
# ja manuals
%{_mandir}/ja/man8/samba.8*
%{_mandir}/ja/man8/samba-tool.8*
%{_mandir}/ja/man8/samba_downgrade_db.8.gz

## --------------------------------------------------------------------
%files winbind
%defattr(-,root,root)
#%{_bindir}/wbinfo3
%{_libdir}/samba/idmap
%{_libdir}/samba/nss_info
%{_libdir}/samba/libnss-info-samba4.so
%{_libdir}/samba/libidmap-samba4.so
%{_sbindir}/winbindd
%attr(750,root,wbpriv) %dir /var/lib/samba/winbindd_privileged
%config(noreplace) %{_sysconfdir}/security/pam_winbind.conf
%{_mandir}/man5/pam_winbind.conf.5*
%{_mandir}/man8/winbindd.8*
%{_mandir}/man8/idmap_*.8*
#%{_datadir}/locale/*/LC_MESSAGES/pam_winbind.mo
%if %{with systemd}
%{_unitdir}/winbind.service
%else
%{_initrddir}/winbind
%endif
# ja manuals
%{_mandir}/ja/man5/pam_winbind.conf.5*
%{_mandir}/ja/man8/winbindd.8*
%{_mandir}/ja/man8/idmap_*.8*

## --------------------------------------------------------------------
%files winbind-krb5-locator
%defattr(-,root,root)
%ghost %{_libdir}/krb5/plugins/libkrb5/winbind_krb5_locator.so
%{_libdir}/samba/krb5/winbind_krb5_locator.so
%{_libdir}/samba/krb5/async_dns_krb5_locator.so
%{_mandir}/man8/winbind_krb5_locator.8*
# ja manual
%{_mandir}/ja/man8/winbind_krb5_locator.8*

## --------------------------------------------------------------------
%files winbind-clients
%defattr(-,root,root)
%{_bindir}/ntlm_auth
#%{_bindir}/ntlm_auth3
%{_bindir}/wbinfo
%{_libdir}/libnss_winbind.so*
%{_libdir}/libnss_wins.so*
#/%{smb_lib}/libnss_winbind.so.2
#/%{smb_lib}/libnss_wins.so.2
/%{_lib}/security/pam_winbind.so
%{_mandir}/man1/ntlm_auth.1.gz
%{_mandir}/man1/wbinfo.1.gz
%{_mandir}/man8/pam_winbind.8.gz
# ja manuals
%{_mandir}/ja/man1/ntlm_auth.1.gz
%{_mandir}/ja/man1/wbinfo.1.gz
%{_mandir}/ja/man8/pam_winbind.8.gz

## --------------------------------------------------------------------
%files client
%defattr(-,root,root)
%{_bindir}/cifsdd
%{_bindir}/dbwrap_tool
#{_bindir}/findsmb
%{_bindir}/mdsearch
%{_bindir}/nmblookup
%{_bindir}/oLschema2ldif
%{_bindir}/regdiff
%{_bindir}/regpatch
%{_bindir}/regshell
%{_bindir}/regtree
%{_bindir}/rpcclient
%{_bindir}/samba-regedit
%{_bindir}/sharesec
%{_bindir}/smbcacls
%{_bindir}/smbclient
%{_bindir}/smbcquotas
#%{_bindir}/smbfilter
%{_bindir}/smbget
#%{_bindir}/findsmg
#%{_bindir}/smbtar
#%{_bindir}/smbiconv
%{_bindir}/smbpasswd
%{_bindir}/smbprint
%{_bindir}/smbspool
%{_bindir}/smbtar
%{_bindir}/smbtree
#%{_bindir}/split_tokens
#%exclude %{_libdir}/samba/libldb-cmdline.so
%{_libexecdir}/samba/smbspool_krb5_wrapper
%{_mandir}/man1/dbwrap_tool.1.gz
#{_mandir}/man1/findsmb.1.gz
%{_mandir}/man1/log2pcap.1.gz
%{_mandir}/man1/mdsearch.1.gz
%{_mandir}/man1/nmblookup.1.gz
%{_mandir}/man1/oLschema2ldif.1.gz
%{_mandir}/man1/regdiff.1.gz
%{_mandir}/man1/regpatch.1.gz
%{_mandir}/man1/regshell.1.gz
%{_mandir}/man1/regtree.1.gz
%{_mandir}/man1/rpcclient.1.gz
%{_mandir}/man1/sharesec.1.gz
%{_mandir}/man1/smbcacls.1.gz
%{_mandir}/man1/smbclient.1.gz
%{_mandir}/man1/smbcquotas.1.gz
%{_mandir}/man1/smbget.1.gz
%{_mandir}/man1/smbtar.1.gz
%{_mandir}/man1/smbtree.1.gz
%{_mandir}/man5/smbgetrc.5.gz
%{_mandir}/man5/smbpasswd.5.gz
%{_mandir}/man7/traffic_learner.7.gz
%{_mandir}/man7/traffic_replay.7.gz
%{_mandir}/man8/cifsdd.8.gz
%{_mandir}/man8/samba-regedit.8.gz
%{_mandir}/man8/smbpasswd.8.gz
%{_mandir}/man8/smbspool.8.gz
%{_mandir}/man8/smbspool_krb5_wrapper.8.gz
#ja manuals
%{_mandir}/ja/man1/dbwrap_tool.1.gz
#{_mandir}/ja/man1/findsmb.1.gz
%{_mandir}/ja/man1/log2pcap.1.gz
%{_mandir}/ja/man1/mdsearch.1.gz
%{_mandir}/ja/man1/nmblookup.1.gz
%{_mandir}/ja/man1/rpcclient.1.gz
%{_mandir}/ja/man1/sharesec.1.gz
%{_mandir}/ja/man1/smbcacls.1.gz
%{_mandir}/ja/man1/smbclient.1.gz
%{_mandir}/ja/man1/smbcquotas.1.gz
%{_mandir}/ja/man1/smbget.1.gz
%{_mandir}/ja/man1/smbtar.1.gz
%{_mandir}/ja/man1/smbtree.1.gz
%{_mandir}/ja/man5/smbgetrc.5.gz
%{_mandir}/ja/man5/smbpasswd.5.gz
%{_mandir}/ja/man7/traffic_learner.7.gz
%{_mandir}/ja/man7/traffic_replay.7.gz
%{_mandir}/ja/man8/cifsdd.8.gz
%{_mandir}/ja/man8/samba-regedit.8.gz
%{_mandir}/ja/man8/smbpasswd.8.gz
%{_mandir}/ja/man8/smbspool.8.gz
%{_mandir}/ja/man8/smbspool_krb5_wrapper.8.gz

## --------------------------------------------------------------------
%files test
%defattr(-,root,root)
%{_bindir}/gentest
%{_bindir}/locktest
%{_bindir}/masktest
%{_bindir}/ndrdump
%{_bindir}/smbtorture
%{_mandir}/man1/gentest.1*
%{_mandir}/man1/locktest.1*
%{_mandir}/man1/masktest.1*
%{_mandir}/man1/ndrdump.1*
%{_mandir}/man1/smbtorture.1*
%{_mandir}/man1/vfstest.1*

%{_libdir}/samba/libdlz-bind9-for-torture-samba4.so
%{_libdir}/samba/libtorture-samba4.so

# ja manual
%{_mandir}/ja/man1/vfstest.1*

## --------------------------------------------------------------------
%files devel
%defattr(-,root,root)
%{samba_includedir}/charset.h
%{samba_includedir}/core/doserr.h
%{samba_includedir}/core/error.h
%{samba_includedir}/core/hresult.h
%{samba_includedir}/core/ntstatus.h
%{samba_includedir}/core/ntstatus_gen.h
%{samba_includedir}/core/werror.h
%{samba_includedir}/core/werror_gen.h
%{samba_includedir}/credentials.h
%{samba_includedir}/dcerpc.h
%{samba_includedir}/dcerpc_server.h
%{samba_includedir}/dcesrv_core.h
%{samba_includedir}/domain_credentials.h
%{samba_includedir}/gen_ndr/atsvc.h
%{samba_includedir}/gen_ndr/auth.h
%{samba_includedir}/gen_ndr/dcerpc.h
%{samba_includedir}/gen_ndr/krb5pac.h
%{samba_includedir}/gen_ndr/lsa.h
%{samba_includedir}/gen_ndr/misc.h
%{samba_includedir}/gen_ndr/nbt.h
%{samba_includedir}/gen_ndr/drsblobs.h
%{samba_includedir}/gen_ndr/drsuapi.h
%{samba_includedir}/gen_ndr/ndr_drsblobs.h
%{samba_includedir}/gen_ndr/ndr_drsuapi.h
%{samba_includedir}/gen_ndr/ndr_atsvc.h
%{samba_includedir}/gen_ndr/ndr_dcerpc.h
%{samba_includedir}/gen_ndr/ndr_krb5pac.h
%{samba_includedir}/gen_ndr/ndr_misc.h
%{samba_includedir}/gen_ndr/ndr_nbt.h
%{samba_includedir}/gen_ndr/ndr_samr.h
%{samba_includedir}/gen_ndr/ndr_samr_c.h
%{samba_includedir}/gen_ndr/ndr_svcctl.h
%{samba_includedir}/gen_ndr/ndr_svcctl_c.h
%{samba_includedir}/gen_ndr/netlogon.h
%{samba_includedir}/gen_ndr/samr.h
%{samba_includedir}/gen_ndr/security.h
%{samba_includedir}/gen_ndr/server_id.h
%{samba_includedir}/gen_ndr/svcctl.h
%{samba_includedir}/ldb_wrap.h
%{samba_includedir}/lookup_sid.h
%{samba_includedir}/machine_sid.h
%{samba_includedir}/ndr.h
%dir %{samba_includedir}/ndr
%{samba_includedir}/ndr/ndr_dcerpc.h
%{samba_includedir}/ndr/ndr_drsblobs.h
%{samba_includedir}/ndr/ndr_drsuapi.h
%{samba_includedir}/ndr/ndr_krb5pac.h
%{samba_includedir}/ndr/ndr_svcctl.h
%{samba_includedir}/ndr/ndr_nbt.h
%{samba_includedir}/netapi.h
%{samba_includedir}/param.h
%{samba_includedir}/passdb.h
%{samba_includedir}/policy.h
%{samba_includedir}/rpc_common.h
%{samba_includedir}/samba/session.h
%{samba_includedir}/samba/version.h
%{samba_includedir}/share.h
%{samba_includedir}/smb2_lease_struct.h
%{samba_includedir}/smbconf.h
%{samba_includedir}/smb_ldap.h
%{samba_includedir}/smbldap.h
%{samba_includedir}/tdr.h
%{samba_includedir}/tsocket.h
%{samba_includedir}/tsocket_internal.h
%dir %{samba_includedir}/util
%{samba_includedir}/util/attr.h
%{samba_includedir}/util/blocking.h
# %{samba_includedir}/util/byteorder.h
%{samba_includedir}/util/data_blob.h
%{samba_includedir}/util/debug.h
%{samba_includedir}/util/discard.h
%{samba_includedir}/util/fault.h
%{samba_includedir}/util/genrand.h
%{samba_includedir}/util/idtree.h
%{samba_includedir}/util/idtree_random.h
#%{samba_includedir}/util/memory.h
#%{samba_includedir}/util/safe_string.h
%{samba_includedir}/util/signal.h
%{samba_includedir}/util/substitute.h
#%{samba_includedir}/util/talloc_stack.h
%{samba_includedir}/util/tevent_ntstatus.h
%{samba_includedir}/util/tevent_unix.h
%{samba_includedir}/util/tevent_werror.h
%{samba_includedir}/util/tfork.h
%{samba_includedir}/util/time.h
%{samba_includedir}/util_ldb.h
%{_libdir}/libdcerpc-binding.so
%{_libdir}/libdcerpc-samr.so
%{_libdir}/libdcerpc.so
%{_libdir}/libndr-krb5pac.so
%{_libdir}/libndr-nbt.so
%{_libdir}/libndr-standard.so
%{_libdir}/libndr.so
%{_libdir}/libnetapi.so
%{_libdir}/libsamba-credentials.so
%{_libdir}/libsamba-hostconfig.so
%{_libdir}/libsamba-passdb.so
%{_libdir}/libsamba-policy.*.so
%{_libdir}/libsamba-util.so
%{_libdir}/libsamdb.so
%{_libdir}/libsmbconf.so
%{_libdir}/libsmbldap.so
%{_libdir}/libtevent-util.so
%{_libdir}/pkgconfig/dcerpc.pc
%{_libdir}/pkgconfig/dcerpc_samr.pc
%{_libdir}/pkgconfig/ndr.pc
%{_libdir}/pkgconfig/ndr_krb5pac.pc
%{_libdir}/pkgconfig/ndr_nbt.pc
%{_libdir}/pkgconfig/ndr_standard.pc
%{_libdir}/pkgconfig/netapi.pc
%{_libdir}/pkgconfig/samba-credentials.pc
%{_libdir}/pkgconfig/samba-hostconfig.pc
%{_libdir}/pkgconfig/samba-policy.*.pc
%{_libdir}/pkgconfig/samba-util.pc
%{_libdir}/pkgconfig/samdb.pc

%{_libdir}/libdcerpc-server.so
%{_libdir}/libdcerpc-server-core.so
%{_libdir}/pkgconfig/dcerpc_server.pc

## --------------------------------------------------------------------
%files python
%defattr(-,root,root,-)
%{python3_sitearch}/*

## --------------------------------------------------------------------
%if %{with pidl}
%files pidl
%defattr(-,root,root,-)
%{perl_vendorlib}/Parse/*
%{_mandir}/man1/pidl.1.gz
%{_mandir}/man3/Parse::Pidl::Wireshark::NDR.3pm.gz
%{_mandir}/man3/Parse::Pidl::Wireshark::Conformance.3pm.gz
%{_mandir}/man3/Parse::Pidl::Dump.3pm.gz
%{_mandir}/man3/Parse::Pidl::NDR.3pm.gz
%{_mandir}/man3/Parse::Pidl::Util.3pm.gz
%attr(755,root,root) %{_bindir}/pidl
%endif

## --------------------------------------------------------------------
%if %with_libsmbclient
%files -n libsmbclient
%defattr(-,root,root)
%{_libdir}/libsmbclient.so.*
%{_mandir}/man7/libsmbclient.7*
# ja manual
%{_mandir}/ja/man7/libsmbclient.7*

## --------------------------------------------------------------------
%files -n libsmbclient-devel
%defattr(-,root,root)
%{samba_includedir}/libsmbclient.h
%{_libdir}/libsmbclient.so
%{_libdir}/pkgconfig/smbclient.pc
#%{_mandir}/man7/libsmbclient.7*
%endif # with_libsmbclient

## --------------------------------------------------------------------
%if %with_libwbclient
%files -n libwbclient
%defattr(-,root,root)
%{_libdir}/samba/libwinbind-client-samba4.so
%{_libdir}/samba/wbclient/libwbclient.so.*

## --------------------------------------------------------------------
%files -n libwbclient-devel
%defattr(-,root,root)
%{samba_includedir}/wbclient.h
%{_libdir}/samba/wbclient/libwbclient.so
%{_libdir}/pkgconfig/wbclient.pc
%endif # with_libwbclient

%if %build_compat32

## --------------------------------------------------------------------
%files -n compat32-samba-libs
%defattr(-,root,root)
%{_libdir}/libdcerpc-binding.so.*
%{_libdir}/libdcerpc.so.*
%{_libdir}/libdcerpc-server-core.so.*
%{_libdir}/libsamba-errors.so*
%{_libdir}/libndr-krb5pac.so.*
%{_libdir}/libndr-nbt.so.*
%{_libdir}/libndr-standard.so.*
%{_libdir}/libndr.so.*
%{_libdir}/libnetapi.so.*
%{_libdir}/libsamba-credentials.so.*
%{_libdir}/libsamba-hostconfig.so.*
%{_libdir}/libsamba-passdb.so.*
%{_libdir}/libsamba-util.so.*
%{_libdir}/libsamdb.so.*
%{_libdir}/libsmbconf.so.*
%{_libdir}/libsmbldap.so.*
%{_libdir}/libtevent-util.so.*

# libraries needed by the public libraries
%dir %{_libdir}/samba
%{_libdir}/samba/libCHARSET3-samba4.so
%{_libdir}/samba/libLIBWBCLIENT-OLD-samba4.so
%{_libdir}/samba/libMESSAGING-samba4.so
%{_libdir}/samba/libMESSAGING-SEND-samba4.so
%{_libdir}/samba/libaddns-samba4.so
%{_libdir}/samba/libads-samba4.so
%{_libdir}/samba/libasn1-samba4.so.*
%{_libdir}/samba/libasn1util-samba4.so
#{_libdir}/samba/libauth-sam-reply-samba4.so
%{_libdir}/samba/libauth-samba4.so
%{_libdir}/samba/libauth-unix-token-samba4.so
%{_libdir}/samba/libauth4-samba4.so
%{_libdir}/samba/libauthkrb5-samba4.so
%{_libdir}/samba/libcli-cldap-samba4.so
%{_libdir}/samba/libcli-ldap-common-samba4.so
%{_libdir}/samba/libcli-ldap-samba4.so
%{_libdir}/samba/libcli-nbt-samba4.so
%{_libdir}/samba/libcli-smb-common-samba4.so
%{_libdir}/samba/libcli-spoolss-samba4.so
%{_libdir}/samba/libcliauth-samba4.so
%{_libdir}/samba/libclidns-samba4.so
%{_libdir}/samba/libcluster-samba4.so
%{_libdir}/samba/libcmdline-contexts-samba4.so
%{_libdir}/samba/libcmdline-samba4.so
%{_libdir}/samba/libcmocka-samba4.so
%{_libdir}/samba/libcom_err-samba4.so*
%{_libdir}/samba/libcommon-auth-samba4.so
%{_libdir}/samba/libdb-glue-samba4.so
%{_libdir}/samba/libdbwrap-samba4.so
%{_libdir}/samba/libdcerpc-pkt-auth-samba4.so
%{_libdir}/samba/libdcerpc-samba-samba4.so
%{_libdir}/samba/libdcerpc-samba4.so
%{_libdir}/samba/libdfs-server-ad-samba4.so
%{_libdir}/samba/libdsdb-garbage-collect-tombstones-samba4.so
%{_libdir}/samba/libdsdb-module-samba4.so
%{_libdir}/samba/libevents-samba4.so
%{_libdir}/samba/libflag-mapping-samba4.so
%{_libdir}/samba/libgenrand-samba4.so
%{_libdir}/samba/libgensec-samba4.so
%{_libdir}/samba/libgpext-samba4.so
%{_libdir}/samba/libgpo-samba4.so
%{_libdir}/samba/libgse-samba4.so
%{_libdir}/samba/libgssapi-samba4.so.*
%{_libdir}/samba/libhcrypto-samba4.so.*
%{_libdir}/samba/libhdb-samba4.so.*
%{_libdir}/samba/libheimbase-samba4.so.*
%{_libdir}/samba/libhttp-samba4.so
%{_libdir}/samba/libhx509-samba4.so.*
%{_libdir}/samba/libinterfaces-samba4.so
%{_libdir}/samba/libiov-buf-samba4.so
%{_libdir}/samba/libkrb5-samba4.so.*
%{_libdir}/samba/libkrb5samba-samba4.so
%{_libdir}/samba/libldb.so*
%{_libdir}/samba/libldbsamba-samba4.so
%{_libdir}/samba/liblibcli-lsa3-samba4.so
%{_libdir}/samba/liblibcli-netlogon3-samba4.so
%{_libdir}/samba/liblibsmb-samba4.so
%{_libdir}/samba/libmessages-dgm-samba4.so
%{_libdir}/samba/libmessages-util-samba4.so
%{_libdir}/samba/libmsghdr-samba4.so
%{_libdir}/samba/libmsrpc3-samba4.so
%{_libdir}/samba/libndr-samba-samba4.so
%{_libdir}/samba/libndr-samba4.so
%{_libdir}/samba/libnet-keytab-samba4.so
%{_libdir}/samba/libnetif-samba4.so
%{_libdir}/samba/libnpa-tstream-samba4.so
%{_libdir}/samba/libnss-info-samba4.so
#{_libdir}/samba/libpopt-samba3-cmdline-samba4.so
#{_libdir}/samba/libpopt-samba3-samba4.so
%{_libdir}/samba/libposix-eadb-samba4.so
%{_libdir}/samba/libprinting-migrate-samba4.so
%{_libdir}/samba/libprocess-model-samba4.so
%{_libdir}/samba/libregistry-samba4.so
%{_libdir}/samba/libreplace-samba4.so
%{_libdir}/samba/libroken-samba4.so.*
%{_libdir}/samba/libsamba-cluster-support-samba4.so
%{_libdir}/samba/libsamba-debug-samba4.so
%{_libdir}/samba/libsamba-modules-samba4.so
%{_libdir}/samba/libsamba-security-samba4.so
%{_libdir}/samba/libsamba-sockets-samba4.so
%{_libdir}/samba/libsamba3-util-samba4.so
%{_libdir}/samba/libsamdb-common-samba4.so
%{_libdir}/samba/libsecrets3-samba4.so
%{_libdir}/samba/libserver-role-samba4.so
%{_libdir}/samba/libserver-id-db-samba4.so
%{_libdir}/samba/libservice-samba4.so
%{_libdir}/samba/libshares-samba4.so
%{_libdir}/samba/libsmb-transport-samba4.so
%{_libdir}/samba/libsmbclient-raw-samba4.so
%{_libdir}/samba/libsmbd-base-samba4.so
#{_libdir}/samba/libsmbd-conn-samba4.so
%{_libdir}/samba/libsmbd-shim-samba4.so
%{_libdir}/samba/libsmbldaphelper-samba4.so
%{_libdir}/samba/libsmbpasswdparser-samba4.so
%{_libdir}/samba/libsocket-blocking-samba4.so
%{_libdir}/samba/libsys-rw-samba4.so
%{_libdir}/samba/libtalloc-report-printf-samba4.so
%{_libdir}/samba/libtalloc-report-samba4.so
%{_libdir}/samba/libtalloc.so*
%{_libdir}/samba/libtdb-wrap-samba4.so
%{_libdir}/samba/libtevent.so*
%{_libdir}/samba/libtime-basic-samba4.so
%{_libdir}/samba/libtrusts-util-samba4.so
#{_libdir}/samba/libutil-cmdline-samba4.so
%{_libdir}/samba/libutil-reg-samba4.so
%{_libdir}/samba/libutil-setid-samba4.so
%{_libdir}/samba/libutil-tdb-samba4.so
%{_libdir}/samba/libwind-samba4.so.*
%{_libdir}/samba/libxattr-tdb-samba4.so

## --------------------------------------------------------------------
%files -n compat32-libwbclient
%defattr(755,root,root)
%{_libdir}/samba/libwinbind-client-samba4.so
%{_libdir}/samba/wbclient/libwbclient.so.*

## --------------------------------------------------------------------
%files -n compat32-libsmbclient
%defattr(755,root,root)
%{_libdir}/libsmbclient.so.*

%endif


%changelog
* Wed Oct 19 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.15.10-1
- new upstream release.

* Wed Jul 27 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.15.9-1
- new upstream release.

* Tue Feb 01 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.15.5-1
- new upstream release.

* Sat Jan 22 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.15.4-1
- new upstream release.

* Thu Dec 09 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.15.3-1
- new upstream release.

* Sun Nov 14 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.15.2-1
- new upstream release.

* Thu Nov 04 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.15.1-1
- new upstream release.

* Fri Oct 29 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.14.9-1
- new upstream release.
- built with icu-70.1.

* Thu Oct 21 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.14.8-1
- new upstream release.

* Tue Aug 24 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.14.7-1
- new upstream release.

* Tue Jul 13 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.14.6-1
- new upstream release.

* Tue Jun 01 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.14.5-1
- new upstream release.

* Fri Apr 30 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.14.4-1
- new upstream release.

* Wed Apr 21 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.14.3-1
- new upstream release.

* Fri Apr 09 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.14.2-1
- new upstream release.

* Tue Mar 30 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.13.7-2
- rebuilt without tracker.

* Thu Mar 25 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.13.7-1
- new upstream release.

* Tue Mar 09 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.13.5-1
- new upstream release.

* Tue Jan 26 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.13.4-1
- new upstream release.

* Wed Dec 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.13.3-1
- new upstream release.

* Fri Dec 11 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.13.2-1
- new upstream release.

* Mon Nov 02 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.13.1-1
- new upstream release.

* Fri Oct 09 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.13.0-2
- fixed dependency.

* Fri Oct 09 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.13.0-1
- new upstream release.

* Sat Sep 19 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.12.7-1
- new upstream release.

* Sun Aug 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.12.6-2
- rebuilt with python-3.8.

* Thu Aug 13 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.12.6-1
- new upstream release.

* Thu Jul 02 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.12.5-1
- new upstream release.

* Thu Jul 02 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.12.4-1
- new upstream release.

* Tue May 19 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.12.3-1
- new upstream release.

* Tue Apr 28 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.12.2-1
- new upstream release.

* Fri Apr 24 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.12.1-2
- rebuilt with icu-67.

* Tue Apr 07 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.12.1-1
- new upstream release.
- added systemd support (disabled as default).
- fixed %%post, %%preun and %%postun.

* Tue Mar 31 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.12.0-2
- re-enabled pidl.
- enabled tracker/Spotlight support.

* Mon Mar 30 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.12.0-1
- new upstream release.

* Wed Nov 13 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.10.10-1
- new upstream release.

* Thu Oct 17 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.10.9-1
- new upstream release.

* Thu Oct 17 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.10.8-2
- fixed Obsoletes:.
- fixed dependency of compat32-samba-libs.

* Wed Sep 04 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.10.8-1
- new upstream release.

* Thu Aug 22 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.10.7-1
- new upstream release.
- updated samba-ja-docs.

* Tue May 14 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.10.3-1
- new upstream release.

* Sat May 11 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.10.2-1
- new upstream release.
- switched to python3.
- made to use bundled lib{talloc,tevent,ldb} and ctdb.

* Fri Jan 25 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.9.4-1
- new upstream release.

* Fri Nov 30 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.9.3-1
- new upstream release.
- updated samba-ja-docs.

* Wed Mar 14 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.8.0-1
- new upstream release.

* Thu Mar 08 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.8.0-0.2.rc4
- new upstream release.
- fixed %%files for compat32-samba-libs.

* Mon Jul 17 2017 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.6.6-1
- new upstream release.
- updated samba-ja-docs.

* Mon May 29 2017 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.6.4-1
- new upstream release.

* Mon May  1 2017 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.6.3-1
- new upstream release.

* Thu Mar 16 2017 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.6.0-1
- new upstream release.

* Tue Dec 20 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.5.3-1
- new upstream release.

* Sun Dec 11 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.5.2-1
- new upstream release.
- updated samba-ja-docs.

* Fri Jul  8 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.4.5-1
- new upstream release.
- updated samba-ja-docs.

* Wed Jun  8 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.4.4-1
- new upstream release.
- updated samba-ja-docs.

* Tue May  3 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.4.3-1
- new upstream release.
- updated samba-ja-docs.

* Wed Apr 13 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.4.2-1
- new upstream release.

* Wed Apr 13 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.4.0-1
- new upstream release.

* Thu Mar 10 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.3.6-1
- new upstream release.
- updated samba-ja-docs.

* Wed Feb 24 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.3.5-1
- new upstream release.

* Sat Jan 16 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.3.4-1
- new upstream release.

* Wed Dec 30 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.3.3-3
- built with gnutls-3.4.x.

* Sun Dec 20 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.3.3-2
- built with libldb-1.1.25.

* Thu Dec 17 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.3.3-1
- new upstream release.
- fixed missing %%changelog.

* Wed Dec  2 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.3.2-1
- new upstream release.

* Fri Oct 30 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.3.1-1
- new upstream release.

* Sat Sep 19 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.3.0-1
- new upstream release.
- built without libbsd.

* Sat Sep 19 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.2.4-1
- new upstream release.

* Fri Jul 24 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.2.3-1
- new upstream release.

* Sat Jun 13 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.2.2-1
- new upstream release.

* Fri Apr 17 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.2.1-1
- new upstream release.

* Thu Apr 16 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.2.0-2
- added subpackage compat32-samba-libs and samba-dc-libs.
- fixed %%files.

* Sat Mar 7 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.2.0-1
- new upstream release.

* Tue Feb 24 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.1.17-1
- new upstream release.

* Sun Jan 25 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.1.16-1
- new upstream release.

* Mon Jan 12 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.1.15-1
- new upstream release.

* Wed Dec 3 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.1.14-1
- new upstream release.
- re-enabled samba-ja-docs.

* Tue Dec  2 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 4.1.11-3
- fixed Group typo involved by previous release

* Sat Nov 22 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 4.1.11-2
- moved common, libs, python, liibsmbclient and libwbclient packages to System Environment/Libraries Group

* Tue Aug 19 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.1.11-1
- new upstream release.

* Wed Mar 12 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.1.6-1
- new upstream release.
- removed samba-ja-docs (docs-ja for 4.1.x has not released yet).

* Mon Dec 09 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.1.3-1
- new upstream release.

* Thu Nov 28 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.1.2-1
- new upstream release.
- removed a sub package "samba-swat" (removed in upstream).
- %%post was made to fix the permission of TLS key (CVE-2013-4476).

* Wed Oct 09 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.0.10-1
- new upstream release.

* Tue Oct 08 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.0.9-1
- new upstream release.

* Tue Mar 26 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.0.4-1
- new upstream release.
- fixed dependency.
- added documents from samba-docs-ja-4.0.0-1.

* Mon Mar 04 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.0.3-2
- fixed directory to place private data.

* Sun Mar 03 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.0.3-1
- new upstream release.
- fixed dates of %%changelog.

* Mon Dec 17 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.0.0-1
- new upstream release.

* Wed May 02 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.5.15-1
- new upstream release. (to fix CVE-2012-2111)
- added charset options to smb.conf.

* Sat Apr 14 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.5.14-1
- new upstream release. (to fix CVE-2012-1182)

* Tue Aug 09 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.5.11-1
- new upstream release. (to fix BTS:1189)

* Sat Jul 30 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.5.10-1
- new upstream release. (to fix CVE-2011-2522 and CVE-2011-2694)

* Mon Jul 18 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.5.8-3
- updated Source6.

* Fri Mar 25 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.5.8-2
- fix smb.conf(5).

* Thu Mar 24 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.5.8-1
- new upstream release.
- updated patches.
- added subpackages 'winbind-krb5-locator' and 'winbind-client'.
- dropped tdb and talloc subpackages became independent packages.
- dropped {,u}mount.cifs were included in cifs-utils.

* Sat Oct 02 2010 Shu KONNO <owa@bg.wakwak.com> 3.3.10-13
- rebuilt with rpm-4.8.1 for pkg-config
- changed spec file name as vine style
- dropt script lines in %%build that no work

* Sun Feb  7 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.3.10-12
- add patch1000 for fix CVE-2010-0547 (cifs.mount)

* Sat Jan 30 2010 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.3.10-11
- new upstream release.

* Fri Nov 20 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.3.9-10
- added 'Packager' tag.

* Sun Oct 25 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.3.9-9
- new upstream release.
- added '--disable-fam' option.
- added 'compat32-*' subpackages.
- added 'libuuid-devel' to 'BuildRequires:'.

* Thu Jul 30 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.3.7-7
- new upstream release.

* Thu Jun 25 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.3.6-6
- new upstream release.

* Thu Jun  4 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.3.4-5
- increased release number for libtalloc/libtdb.

* Tue Jun  2 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.3.4-2
- fixed dependency.
- fixed modulepath.

* Fri May 29 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.3.4-1
- new upstream release.

* Sun Mar 01 2009 NAKAMURA Kenta <kenta@vinelinux.org> 3.2.5-4
- rebuilt with openldap-2.4.11

* Sat Jan 17 2009 Ryoiochi INAGAKI <ryo1@bc.wakwak.com> 3.2.5-3
- samba-doc: changed Group to Applications/Documentation
- samba-winbind-devel: changed Group to Development/Libraries
- libsmbclient: changed Group to System Environment/Libraries
- libsmbclient-devel: changed Group to Development/Libraries
- libtalloc: changed Group to System Environment/Libraries
- libtalloc-devel: changed Group to Development/Libraries
- libtdb: fixed summary
          changed Group to System Environment/Libraries
- libtdb-devel: changed Group to Development/Libraries

* Thu Dec 04 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2.5-2
- new upstream release

* Sat Nov 01 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2.3-1
- new upstream release
- drop jp patch
- use UTF-8 as default charset
- rename samba-libsmbclient to libsmbclient

* Fri Apr 11 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 3.0.28a-1
- new upstream release.
- remove gamin-devel from BuildRequires: (no longer needed).

* Sat Sep 15 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.0.24-0vl4
- BuildRequires: gamin-devel (see [wishes:0127])

* Wed May 16 2007 KAZUKI SHIMURA <ksh753@gmail.com> 3.0.24-0vl3
- [SECURITY FIX] add security patches (#50-52)
  - CVE-2007-2444: local SID/Name translation bug (user privilege elevation)
  - CVE-2007-2446: multiple heap overflows allow remote code execution
  - CVE-2007-2447: remote command injection vulnerability

* Fri Mar 09 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.24-0vl2
- apply upstream patches (#0-5)
  - fix an issues with servers set to "security = share" and Vista clients
    that send NTLMv2 responses
  - fixe several point-n-print bugs with Vista clients
  - fix failure when using the Vista backup utility
  - fix expansion of the %a smb.conf variable for Vista clients
  - fix MS-DFS referrals with Windows Vista clients
  - fix for Vista failing to delete directories on a Samba share
- display service start/stop messages ([VineSeed:13299])

* Wed Feb 14 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.24-0vl1
- [SECURITY FIX] new upstream release
  - CVE-2007-0452: potential denial of service bug in smbd
  - CVE-2007-0453: buffer overrun in NSS host lookup winbind library on Solaris
  - CVE-2007-0454: format string bug in afsacl.so vfs plugin

* Thu Dec 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.23d-0vl1
- new upstream release

* Sat Nov 25 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.23c-0vl3
- disable swat (via inetd) by default
- fix code for editing %%{_sysconfdir}/inetd.conf

* Sun Sep 17 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.23c-0vl2
- fix dependencies:
  - move PreReq: mktemp, psmisc, fileutils, sed, gawk, grep to -swat
  - drop PreReq: gawk from -client
  - drop PreReq: inetd from -swat
  - drop Requires: tcp_wrappers from -swat (is needed by inetd)
- fix %%post etc...
  - drop code for editing /etc/services: no more needed
  - move code for editing %%{_sysconfdir}/{hosts.*,inetd.conf}
    from %%triggerin swat -- inetd to %%post swat
  - check if %%{_sysconfdir}/inetd.conf exist before updating at %%postun

* Fri Sep 08 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.23c-0vl1
- new upstream release

* Sun Aug 27 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.0.23b-0vl2
- rebuilt with openldap-2.3.27-0vl1

* Mon Aug 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.23b-0vl1
- new upstream release

* Fri Jul 28 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.23a-0vl1
- new upstream release

* Sat Jul 22 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.23-0vl1
- [SECURITY] new upstream release
  - Memory exhaustion DoS against smbd (CVE-2006-3403)
- update patches
  - buildroot.patch (#100)
  - logfiles.patch (#103)
  - smb.conf.patch (#106)
- update filter-requires-samba.sh (source999)
  - get rid of bogus dependency on perl(Unicode::MapUTF8)

* Fri Jun 23 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.22-0vl1
- new upstream release
- renumber patches
  - 000- for upstream patches
  - 050- for security patches
  - 100- for generic patches
- update logfiles.patch (#103)
- drop warning.patch (#104)
- not apply hex.patch (#105)
- add smb.conf.patch (#106)
- drop samba.log (source1), smb.conf (source2)
- use samba.pamd.stack instead of samba.pamd
- define macro: pkgingdir
- add files:
  - samba-client
    - %%{_bindir}/{smbget,eventlogadm}
  - samba-common:
    - %%{_bindir}/tdbtool
- separate development files to samba-libsmbclient-devel
- change groups

* Sat Apr 15 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.14a-0vl5
- remove unneeded dependencies
  - update filter-requires-samba.sh (source999)
  - overwrite __find_requires instead of __perl_requires

* Tue Mar 28 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.14a-0vl4
- rebuild with readline-5.1

* Sat Aug 13 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.14a-0vl3
- separate doc package with %%docpkg
- use %%htmlview instead of %%browser

* Sat Jul 16 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.14a-0vl2
- add %%config(noreplace) against %%{_sysconfdir}/xinetd.d/swat

* Fri Jul 15 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.14a-0vl1
- new upstream release
- install %%{_sysconfdir}/xinetd.d/swat
- update filter-requires-samba.sh
- add swat.desktop.in instead of swat.desktop
  - switch browser by %%browser
- drop i18n patches
- update logfiles.patch (#3)
- add warning.patch (#4)

* Sun Jul 10 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.10-0vl2
- fix samba.log
  - thanks, K. Moriyama [VinePlus:02606]
- remove docs/manpages from %%doc

* Mon Dec 27 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.10-0vl1
- new upstream release
- update struplower_m_i18n.patch (#102)
- drop obsolete patch (#10)

* Fri Dec 17 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.9-0vl2
- [SECURITY FIX] fix possible remote code execution (CAN-2004-1154)
  - add samba-3.0.9-CAN-2004-1154.patch (#10)
- update patch (#102)

* Fri Nov 26 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.9-0vl1
- new upstream release
- drop obsolete patches (#10,11,110)
- update patches (#3,102)

* Sun Nov 21 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.7-0vl6
- [SECURITY FIX] fix smbd buffer overrun (CAN-2004-0882)
  - add samba-3.0.7-CAN-2004-0882.patch (patch11)
- update Source URL

* Tue Nov 09 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.7-0vl5
- [SECURITY FIX] fix smbd remote DoS vulnerability (CAN-2004-0930)
  - add samba-3.0.7-CAN-2004-0930.patch (patch10)

* Fri Oct 15 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.7-0vl4
- update samba.log, {smb,winbind}.init
- use *.log as logfile name instead of log.* (patch3)

* Wed Oct 06 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.7-0vl3
- change directories from %%{_localstatedir}/lock/samba
  - LOCKDIR: %%{_localstatedir}/cache/samba
  - PIDDIR:  %%{_localstatedir}/run
- restart {smb,winbind} at postun (upgrade)
- samba-common
  - convert smbpasswd at triggerpostun -- samba < 3.0.7
  - add convert_smbpasswd
  - add PreReq: gawk

* Sat Sep 25 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.7-0vl2
- add docs_ja (source101) from 3.0.5-16ml

* Wed Sep 22 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.7-0vl1
- new upstream release (shift to 3.0 series)
  - refer to 3.0.6-3 (Fedora Core), 3.0.5-16ml (MIRACLE)
  - drop obsolete paches, configure options
  - update buildroot.patch
  - add I18N patches (#101-)
  - update smb.conf
- add URL
- use more macros
- change LIBDIR from %%{_sysconfdir}/samba to %%{_libdir}/samba
- move %%{_localstatedir}/log/samba, smbpasswd to samba-common
- move smbspool, smbcacls, rpcclient to samba-client
- update descriptions

* Wed Sep 08 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.11.ja.1.0-0vl1
- new upstream release

* Wed Sep 01 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.11.ja.1.0-0vl0.beta1
- 2.2.11-ja-1.0beta1
  - drop patch10
- add BuildPreReq: openssl-devel
- swat
  - add PreReq/Requires: inetd
  - add swat.desktop

* Sun Jul 25 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.9.ja.1.0-0vl3
- fix changelog

* Sat Jul 24 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.9.ja.1.0-0vl2
- [SECURITY FIX] fix buffer overflow (CAN-2004-0686)
  - add samba-2.2.9-ja-1.0-mangle.patch (Patch10)
- add BuildPreReq: cups-devel
- add Prereq: chkconfig mktemp psmisc (instead of each files)

* Thu Jun 03 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.9.ja.1.0-0vl1
- new upstream release

* Thu May 27 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.9.ja.1.0-0vl0.beta1
- 2.2.9-ja-1.0beta1
- add BuildPreReq: readline-devel

* Sat Jan 24 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.8a.ja.1.1-0vl3
- add ldconfig in %%post/%%postun script for libsmbclient

* Sat Jan 24 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.8a.ja.1.1-0vl2
- add libsmbclient subpackage.

* Thu Sep 11 2003 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.2.8a.ja.1.1-0vl1
- new upstream release.

* Sat Aug 09 2003 KAZUKI SHIMURA <rito@pos.to> 2.2.8a.ja-1.0vl3
- fix smb.conf (SAMBADOC's path)

* Tue May 27 2003 Tomoya TAKA <taka@vinelinux.org> 2.2.8a.ja-1.0vl2
- tentatively skip to build examples/VFS on alpha

* Tue May 27 2003 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.2.8a.ja-1.0vl1
- new upstream release.

* Mon May 19 2003 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.2.7b.ja-1.0vl2
- fix smb.conf
- fix smbadduser

* Thu Apr 17 2003 KAZUKI SHIMURA <rito@pos.to> 2.2.7b.ja-1.0vl1
- new upstream version

* Sun Mar 23 2003 Satoshi MACHINO <machino@vinelinux.org> 2.2.7a.ja-1.1vl2
- added smbinit-vine.patch
	-- added '-D' option in smbd and nmbd

* Thu Mar 20 2003 Satoshi MACHINO <machino@vinelinux.org> 2.2.7a.ja-1.1vl1
- New upstream version
	-- security fix.

* Wed Feb 26 2003 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.7a.ja-1.0vl5
- merged from SPEC for RH60 by samba-jp.

* Mon Feb 17  2003 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.7a.ja-1.0vl4.beta1
- fix 'Requires:'.

* Tue Jan 28 2003 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.7a.ja-1.0vl3.alpha1
- disable --with-tdbsam.

* Sat Dec 28 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.7a.ja-1.0vl2.alpha1
- modify %%post script for new password database.

* Fri Dec 27 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.7a.ja-1.0vl1.alpha1

* Tue Nov 19 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.6.ja-1.0vl1.alpha2
- apply alpha2 patch.

* Fri Nov 15 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.6.ja-1.0vl1.alpha1
- remove swat from package 'samba'.

* Thu Nov 14 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.6.ja-1.0vl0.alpha1
- enable winbind modules.
- change numbering rule.

* Thu Oct 24 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.6_ja_0.alpha1-0vl1

* Tue Jun 11 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.4_ja_0.alpha1.3-0vl1

* Sun Mar 17 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.2_ja_1.1-0vl1
- disable winbind modules (2.2.2 or earlier has critical bugs).
- modify 'Requires:'.

* Fri Mar 15 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.2_ja_1.1-0vl0
- shift sources to 2.2.x.
- add debugging mode for '%%files' section.
- modify spec largely because of too many difference between 2.0.x and 2.2.x.
-  . exchange %%prep, %%build, %%install section with samba-jp's spec.
-  . create a package 'samba-swat'.
-  . move smbclient and nmblookup to samba-common.
-  . move testprns to package 'samba' because it's checking tool for 
-    server on LOCALHOST.
-  . move '%%post' to '%%post swat'.
-  . disable '%%post common'.

* Sun Dec 02 2001 Toru Sagami <sagami@vinelinux.org>
- 2.0.10_ja_1.2

* Mon Sep 03 2001 Toru Sagami <sagami@vinelinux.org>
- 2.0.10_ja_1.1-0vl4
- eliminate executable bit in %%doc to erase perl/sh requirement

* Thu Aug 23 2001 Toru Sagami <sagami@vinelinux.org>
- 2.0.10_ja_1.1-0vl3: s/$RPM_BUILD_ROOT/%%{buildroot}/
- patch swat/ja/help/welcome.html to hide some missing matter
- also remove docs/zh_{CN,TW} files in %%doc

* Wed Aug 22 2001 Satoshi MACHINO <machino@vinelinux.org> 2.0.10_ja_1.1-0vl2
- for VineSeed
- deleted %%define _syssbindir and _localedir (defined in rpmmacros in rpm-3.0.6-0vl14)

* Wed Aug 22 2001 Satoshi MACHINO <machino@vinelinux.org> 2.0.10_ja_1.1-0vl1
- 2.0.10_ja_1.1
- for 2.1.x update

* Fri Aug 17 2001 <sagami@vinelinux.org>
- 2.0.10_ja_1.0-0vl2
- remove almost duplicated docs/{,ja/}{manpages,yodldocs} files in %%doc

* Mon Jul 09 2001 <sagami@vinelinux.org>
- 2.0.10_ja_1.0-0vl1: includes secrity fix
 (http://www.samba.org/samba/whatsnew/macroexploit.html)
- remove using_samba, HowToUseSamba and docs/ja_JP.SJIS directory from %%doc

* Thu May 31 2001 <sagami@vinelinux.org>
- 2.0.9_ja_1.0-0vl1: added swat/ja/help/HowToUseSamba
- added BuildPreReq = pam-devel for Vine 2.1.5+
- fixed init script to match our current/old style
- eliminate CVS related files from %%doc

* Thu Apr 19 2001 <sagami@vinelinux.org>
- 2.0.7_ja_2.2-0vl1

* Thu Dec 21 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.0.7_ja_1.3-0vl2
- rebuilt with readline2
- use better macros (although not almost complete... needs comfirmation)

* Tue Sep 19 2000 Jun Nishii <jun@vinelinux.org>
- 2.0.7_ja_1.3-0vl1

* Tue Sep 12 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.0.7_ja_1.2.1-0vl2
- fixed missing Changelog.ja (was Chagelog.ja)

* Tue Sep 12 2000 Jun Nishii <jun@vinelinux.org>
- updated to 2.0.7-ja-1.2.1

* Wed Jul 19 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 2.0.7-ja-1.2

* Tue Jul 11 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added some Japanese documents to %doc

* Mon Jul 10 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 2.0.7-ja-1.0

* Mon May 29 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 2.0.7-ja-0.99

* Mon May 29 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added rpccilent
- modified tcpdconf for stability.

* Fri May 26 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- first test release for Vine based on RH6.2 spec file.
- activated swat in default for only localhost.

* Fri Feb 25 2000 Bill Nottingham <notting@redhat.com>
- fix trigger, again.

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- fix trigger.

* Fri Feb  4 2000 Bill Nottingham <notting@redhat.com>
- turn on quota support

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fox dependencies
- man pages are compressed

* Fri Jan 21 2000 Bill Nottingham <notting@redhat.com>
- munge post scripts slightly

* Wed Jan 19 2000 Bill Nottingham <notting@redhat.com>
- turn on mmap again. Wheee.
- ship smbmount on alpha

* Mon Dec  6 1999 Bill Nottingham <notting@redhat.com>
- turn off mmap. ;)

* Wed Dec  1 1999 Bill Nottingham <notting@redhat.com>
- change /var/log/samba to 0700
- turn on mmap support

* Thu Nov 11 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.6

* Fri Oct 29 1999 Bill Nottingham <notting@redhat.com>
- add a %defattr for -common

* Tue Oct  5 1999 Bill Nottingham <notting@redhat.com>
- shift some files into -client
- remove /home/samba from package.

* Tue Sep 28 1999 Bill Nottingham <notting@redhat.com>
- initscript oopsie. killproc <name> -HUP, not other way around.

* Sun Sep 26 1999 Bill Nottingham <notting@redhat.com>
- script cleanups. Again.

* Wed Sep 22 1999 Bill Nottingham <notting@redhat.com>
- add a patch to fix dropped reconnection attempts

* Mon Sep  6 1999 Jeff Johnson <jbj@redhat.com>
- use cp rather than mv to preserve /etc/services perms (#4938 et al).
- use mktemp to generate /etc/tmp.XXXXXX file name.
- add prereqs on sed/mktemp/killall (need to move killall to /bin).
- fix trigger syntax (i.e. "samba < 1.9.18p7" not "samba < samba-1.9.18p7")

* Mon Aug 30 1999 Bill Nottingham <notting@redhat.com>
- sed "s|nawk|gawk|" /usr/bin/convert_smbpasswd

* Sat Aug 21 1999 Bill Nottingham <notting@redhat.com>
- fix typo in mount.smb

* Fri Aug 20 1999 Bill Nottingham <notting@redhat.com>
- add a %trigger to work around (sort of) broken scripts in
  previous releases

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Mon Aug  9 1999 Bill Nottingham <notting@redhat.com>
- add domain parsing to mount.smb

* Fri Aug  6 1999 Bill Nottingham <notting@redhat.com>
- add a -common package, shuffle files around.

* Fri Jul 23 1999 Bill Nottingham <notting@redhat.com>
- add a chmod in %postun so /etc/services & inetd.conf don't become unreadable

* Wed Jul 21 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.5
- fix mount.smb - smbmount options changed again.........
- fix postun. oops.
- update some stuff from the samba team's spec file.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- split off clients into separate package
- don't run samba by default

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- fix one problem with mount.smb script
- fix smbpasswd on sparc with a really ugly kludge

* Thu Jun 10 1999 Dale Lovelace <dale@redhat.com>
- fixed logrotate script

* Tue May 25 1999 Bill Nottingham <notting@redhat.com>
- turn of 64-bit locking on 32-bit platforms

* Thu May 20 1999 Bill Nottingham <notting@redhat.com>
- so many releases, so little time
- explicitly uncomment 'printing = bsd' in sample config

* Tue May 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.4a
- fix mount.smb arg ordering

* Fri Apr 16 1999 Bill Nottingham <notting@redhat.com>
- go back to stop/start for restart (-HUP didn't work in testing)

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- add a mount.smb to make smb mounting a little easier.
- smb filesystems apparently don't work on alpha. Oops.

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- always create codepages

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- updated init script to use graceful restart (not stop/start)

* Tue Mar  9 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.3

* Thu Feb 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.2

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- swat swat

* Tue Feb  9 1999 Bill Nottingham <notting@redhat.com>
- fix bash2 breakage in post script

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.0

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- make sure all binaries are stripped

* Thu Sep 17 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.9.18p10.
- fix %triggerpostun.

* Tue Jul 07 1998 Erik Troan <ewt@redhat.com>
- updated postun triggerscript to check $0
- clear /etc/codepages from %preun instead of %postun

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- made the %postun script a tad less agressive; no reason to remove
  the logs or lock file (after all, if the lock file is still there,
  samba is still running)
- the %postun and %preun should only exectute if this is the final
  removal
- migrated %triggerpostun from Red Hat's samba package to work around
  packaging problems in some Red Hat samba releases

* Sun Apr 26 1998 John H Terpstra <jht@samba.anu.edu.au>
- minor tidy up in preparation for release of 1.9.18p5
- added findsmb utility from SGI package

* Wed Mar 18 1998 John H Terpstra <jht@samba.anu.edu.au>
- Updated version and codepage info.
- Release to test name resolve order

* Sat Jan 24 1998 John H Terpstra <jht@samba.anu.edu.au>
- Many optimisations (some suggested by Manoj Kasichainula <manojk@io.com>
- Use of chkconfig in place of individual symlinks to /etc/rc.d/init/smb
- Compounded make line
- Updated smb.init restart mechanism
- Use compound mkdir -p line instead of individual calls to mkdir
- Fixed smb.conf file path for log files
- Fixed smb.conf file path for incoming smb print spool directory
- Added a number of options to smb.conf file
- Added smbadduser command (missed from all previous RPMs) - Doooh!
- Added smbuser file and smb.conf file updates for username map

