Summary: HTML to PDF/Image generation application
Summary(ja): HTMLからPDFまたは画像を生成するアプリケーション
Name: wkhtmltopdf
Version: 0.12.6
Release: 1%{?_dist_release}
License: GPLv3
Group: publishing
Url: http://wkhtmltopdf.org/

Vendor: Project Vine
Distribution: Vine Linux

Source0: https://github.com/wkhtmltopdf/wkhtmltopdf/archive/refs/tags/%{version}.tar.gz#/wkhtmltopdf-%{version}.tar.gz
# https://github.com/wkhtmltopdf/qt
Source1: patched-qt-20220817.tar.xz

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: fontconfig-devel
BuildRequires: libjpeg-turbo-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXrender-devel
BuildRequires: openssl111-devel
BuildRequires: pkgconfig
BuildRequires: python
BuildRequires: zlib-devel

%description
Simple utility to convert html to pdf or image using the webkit 
rendering engine, and QT.
This package includes following command.
- wkhtmltopdf
- wkhtmltoimage

%package devel
Summary: Development files for wkhtmltopdf
Summary(ja): wkhtmltopdf の開発ファイル
Group: programming
Requires: %{name} = %{version}-%{release}

%description devel
Development files for wkhtmltox.

# no debug symbols.
#debug_package


%prep
%setup -q -n %{name}-%{version}
pushd qt
tar xvf %{SOURCE1}
popd

# libdir handling.. better handling needed
sed -i.lib -e \
        '/INSTALLBASE/s|lib|%{_lib}|' \
        src/lib/lib.pro

# Remove BOM
sed -i.bom -e 's|\xEF\xBB\xBF||' AUTHORS
touch -r AUTHORS{.bom,}
rm -f AUTHORS.bom

echo '*-g++*:QMAKE_CXXFLAGS += -std=gnu++98' >> qt/src/script/script.pro


%build

pushd qt
./configure \
	-confirm-license \
	-opensource \
	-prefix ../wkqt \
	-fast \
	-release \
	-static \
	-graphicssystem raster \
	-webkit \
	-exceptions \
	-xmlpatterns \
	-no-rpath \
	-reduce-relocations \
	-fontconfig \
	-openssl-linked \
	-system-zlib \
	-system-libpng \
	-system-libjpeg \
	-no-libmng \
	-no-libtiff \
	-no-accessibility \
	-no-stl \
	-no-qt3support \
	-no-phonon \
	-no-phonon-backend \
	-no-opengl \
	-no-declarative \
	-no-scripttools \
	-no-sql-ibase \
	-no-sql-mysql \
	-no-sql-odbc \
	-no-sql-psql \
	-no-sql-sqlite \
	-no-sql-sqlite2 \
	-no-mmx \
	-no-3dnow \
	-no-sse \
	-no-sse2 \
	-no-multimedia \
	-nomake demos,docs,examples,tools,tests,translations

#	-no-script

make %{?_smp_mflags}
make install
popd

./wkqt/bin/qmake
make %{?_smp_mflags}

#%{_qt4_qmake}
#make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make install INSTALL_ROOT=%{buildroot}/%{_prefix}

# remove unneeded scripts
rm -rf scripts/test*


%clean
rm -rf %{buildroot}


%files
%license    LICENSE
%doc    AUTHORS
%doc    CHANGELOG.md
%doc    CHANGELOG-OLD
%doc    README.md
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man1/wkhtmltoimage.1*
%{_mandir}/man1/wkhtmltopdf.1*

%files devel
%doc examples
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Wed Aug 17 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.12.6-1
- new upstream release.
- dropped ldconfig scriptlets.

* Fri Nov 09 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.12.5-1
- new upstream release.

* Wed Jun 29 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.12.3.2-2
- rebuilt with new toolchain.

* Mon May  2 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.12.3.2-1
- new upstream release.
- built with patched qt.

* Sat Aug 29 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.12.2.1-1
- new upstream release.

* Mon Dec 10 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 0.11.0-0.rc1
- initial build for Vine Linux

