%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(0)")}

Summary:        XCB protocol descriptions
Name:           xcb-proto
Version:        1.15
Release:        1%{?_dist_release}
Group:          programming
Vendor:         Project Vine
Distribution:   Vine Linux

License:        MIT
URL:            https://xcb.freedesktop.org/
Source0:        https://xcb.freedesktop.org/dist/%{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  python3 python3-rpm-macros
Requires:       pkgconfig

%description
XCB is a project to enable efficient language bindings to the X11 protocol.
This package contains the protocol descriptions themselves.  Language
bindings use these protocol descriptions to generate code for marshalling
the protocol.


%prep
%setup -q


%build
export PYTHON=%{__python3}
# Bit of a hack to get the pc file in /usr/share, no we can be noarch.
%configure --libdir=%{_datadir}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%license COPYING
%doc NEWS README TODO doc/xml-xcb.txt
%{_datadir}/pkgconfig/xcb-proto.pc
%dir %{_datadir}/xcb/
%{_datadir}/xcb/*.xsd
%{_datadir}/xcb/*.xml
%{python3_sitelib}/xcbgen

%changelog
* Tue Sep 13 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.15-1
- new upstream release.

* Fri Aug 07 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.14-1
- new upstream release.

* Thu Sep 05 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.13-1
- new upstream release.

* Fri Oct 31 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.11-1
- new upstream release

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10-1
- new upstream release

* Mon Oct 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8-1
- new upstream release

* Sat Mar 24 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.1-1
- new upstream release

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7-2
- rebuild with python-2.7.2

* Sun Jan 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7-1
- new upstream release

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Mar 08 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6-1
- new upstream release

* Wed Feb 03 2010 Shu KONNO <owa@bg.wakwak.com> 1.5-2
- rebuilt with python-2.6.4

* Tue Nov 17 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-1
- new upstream release

* Wed Mar 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4-1
- new upstream release
- add BR: python

* Sun May 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1-1
- new versioning policy

* Sun Jan 13 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1-0vl1
- initial build for Vine Linux

* Mon Nov 12 2007 Adam Jackson <ajax@redhat.com> 1.1-1
- xcb-proto 1.1

* Fri Jun 29 2007 Adam Jackson <ajax@redhat.com> 1.0-1
- Initial revision.
