%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Name:		xcb-util
Version:	0.4.0
Release:	3%{?_dist_release}
Summary:	Convenience libraries sitting on top of libxcb
Group:		system
Vendor:		Project Vine
Distribution:	Vine Linux

License:	MIT
URL:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	gperf
BuildRequires:  pkgconfig
BuildRequires:  m4
BuildRequires:  libxcb-devel >= 1.4
BuildRequires:  xorg-x11-proto-devel
BuildRequires:	xorg-x11-util-macros
BuildRequires:	chrpath

%description
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.


%package 	devel
Summary:	Development and header files for xcb-util
Summary(ja):	xcb-util の開発用ファイル
Group:		programming
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
Development files for xcb-util.


# compat32
%package -n compat32-%{name}
Summary: Convenience libraries sitting on top of libxcb
Group: system,legacy
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.


%package -n compat32-%{name}-devel
Summary:        Development and header files for xcb-util
Summary(ja):	xcb-util の開発用ファイル
Group:		programming,legacy
Requires:       compat32-%{name} = %{version}-%{release}
Requires:       %{name}-devel = %{version}-%{release}

%description -n compat32-%{name}-devel
Development files for xcb-util.


%debug_package


%prep
%setup -q


%build
%configure --with-pic --disable-static

make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# remove RPATH
chrpath --delete $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libxcb-*.so.*

rm %{buildroot}%{_libdir}/*.la


%check
make check


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%license COPYING
%doc NEWS README
%{_libdir}/libxcb-util.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libxcb-util.so
%{_includedir}/xcb/*.h

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root,-)
%{_libdir}/libxcb-util.so.*

%files -n compat32-%{name}-devel
%defattr(-,root,root,-)
%{_libdir}/libxcb-util.so
%endif


%changelog
* Tue Sep 13 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.4.0-3
- rebuilt with current environment.
- dropped ldconfig scriptlets.

* Thu Sep 05 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.4.0-2
- rebuilt with current environment.

* Fri Oct 31 2014 Ryoichi INAAGKI <ryo1@toki.waseda.jp> 0.4.0-1
- new upstream release
- moved devel package to Development/Libraries Group

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.9-2
- rebuild with VineSeed environment

* Wed Jun 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.9-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.8-1
- new upstream release
- add BuildRequires: xorg-x11-util-macros

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.6-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Mar 08 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 	0.3.6-1
- initial build for Vine Linux

* Fri Aug 28 2009 Michal Nowak <mnowak@redhat.com> - 0.3.6-1
- 0.3.6

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 13 2009 Adam Jackson <ajax@redhat.com> 0.3.5-1
- xcb-util 0.3.5

* Mon Jul 06 2009 Adam Jackson <ajax@redhat.com> 0.3.4-2
- Explicitly list DSOs so we're notified of version changes.

* Sat Jun 13 2009 Michal Nowak <mnowak@redhat.com> - 0.3.4-1
- 0.3.4; needed for Awesome 3.3

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Michal Nowak <mnowak@redhat.com> - 0.3.3-1
- 0.3.3
- removed patches already in git (and 0.3.3)

* Fri Dec 19 2008 Michal Nowak <mnowak@redhat.com> - 0.3.2-2
- hack the sed lines after %%configure out and hack chrpath in
- make check is running again

* Thu Dec 18 2008 Michal Nowak <mnowak@redhat.com> - 0.3.2-1
- 0.3.2
- remove rpath (x86-64)
- xcb_keysyms: remove xcb_lookup_t
- Revert "keysyms: use xcb_key_lookup_t type for col paramter"
- temporary disabled %%check due to RPATH regression

* Thu Dec  4 2008 Michal Nowak <mnowak@redhat.com> - 0.3.1-2
- patch for exit() in aux library (Peter Harris)
- slight changes in spec file

* Mon Nov 24 2008 Michal Nowak <mnowak@redhat.com> - 0.3.1-1
- 0.3.1
- fix license issue (Jonathan Landis)

* Fri Sep 19 2008 Michal Nowak <mnowak@redhat.com> - 0.3.0-1
- bump to 0.3.0

* Sun Aug 17 2008 Michal Nowak <mnowak@redhat.com> - 0.2.1-2
- new build deps: gperf, pkgconfig, libxcb, m4, xorg-x11-proto-devel
- not installing *.a files anymore
- configure with --with-pic

* Mon Aug 04 2008 Michal Nowak <mnowak@redhat.com> - 0.2.1-1
- initial package

