# INFO: When doing a bootstrap build on a new architecture, set this to 1 to
# avoid build loops.
%define build_bootstrap 0

Summary: X.Org X11 Protocol headers
Summary(ja): X.Org X11 プロトコルヘッダファイル
Name: xorg-x11-proto-devel
Version: 2022.2
Release: 1%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

License: MIT
URL: http://www.x.org
Source0: https://github.com/freedesktop/xorg-xorgproto/archive/xorgproto-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: pkgconfig
BuildRequires: meson
#BuildRequires: xorg-x11-util-macros
Obsoletes: XFree86-devel, XOrg-devel

# NOTE: This dependency on xorg-x11-filesystem is required to work around
# a nasty upgrade problem when going from FC4->FC5 or monolithic to
# modular X.Org.  Bug #173384.
Requires(pre): xorg-x11-filesystem >= 0.99.2-3

%if ! %{build_bootstrap}
Requires: mesa-libGL-devel
Requires: libXau-devel
%endif
Requires: pkgconfig

%description
X.Org X11 Protocol headers


%prep
%setup -q -n xorg-xorgproto-xorgproto-%{version}


%build
%meson
%meson_build


%install
rm -rf %{buildroot}
%meson_install

# trim some fat
for i in apple windows trap ; do
    rm -f %{buildroot}%{_includedir}/X11/extensions/*${i}*
    rm -f %{buildroot}%{_datadir}/pkgconfig/*${i}*
done

# keep things building even if you have the html doc tools for xmlto installed
rm -f %{buildroot}%{_docdir}/*/*.{html,svg}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING-*
%doc *.txt
%dir %{_includedir}/GL
%{_includedir}/GL/glxint.h
%{_includedir}/GL/glxmd.h
%{_includedir}/GL/glxproto.h
%{_includedir}/GL/glxtokens.h
%dir %{_includedir}/GL/internal
%{_includedir}/GL/internal/glcore.h
%dir %{_includedir}/X11
%{_includedir}/X11/DECkeysym.h
%{_includedir}/X11/HPkeysym.h
%{_includedir}/X11/Sunkeysym.h
%{_includedir}/X11/X.h
%{_includedir}/X11/XF86keysym.h
%{_includedir}/X11/XWDFile.h
%{_includedir}/X11/Xalloca.h
%{_includedir}/X11/Xarch.h
%{_includedir}/X11/Xatom.h
%{_includedir}/X11/Xdefs.h
%{_includedir}/X11/Xfuncproto.h
%{_includedir}/X11/Xfuncs.h
%{_includedir}/X11/Xmd.h
%{_includedir}/X11/Xos.h
%{_includedir}/X11/Xos_r.h
%{_includedir}/X11/Xosdefs.h
%{_includedir}/X11/Xpoll.h
%{_includedir}/X11/Xproto.h
%{_includedir}/X11/Xprotostr.h
%{_includedir}/X11/Xthreads.h
%{_includedir}/X11/Xw32defs.h
%{_includedir}/X11/Xwindows.h
%{_includedir}/X11/Xwinsock.h
%{_includedir}/X11/ap_keysym.h
%dir %{_includedir}/X11/dri
%{_includedir}/X11/dri/xf86dri.h
%{_includedir}/X11/dri/xf86driproto.h
%{_includedir}/X11/dri/xf86dristr.h
%dir %{_includedir}/X11/extensions
%{_includedir}/X11/extensions/EVI.h
%{_includedir}/X11/extensions/EVIproto.h
%{_includedir}/X11/extensions/XI.h
%{_includedir}/X11/extensions/XI2.h
%{_includedir}/X11/extensions/XI2proto.h
%{_includedir}/X11/extensions/XIproto.h
%{_includedir}/X11/extensions/XKB.h
%{_includedir}/X11/extensions/XKBproto.h
%{_includedir}/X11/extensions/XKBsrv.h
%{_includedir}/X11/extensions/XKBstr.h
%{_includedir}/X11/extensions/XResproto.h
%{_includedir}/X11/extensions/Xv.h
%{_includedir}/X11/extensions/XvMC.h
%{_includedir}/X11/extensions/XvMCproto.h
%{_includedir}/X11/extensions/Xvproto.h
%{_includedir}/X11/extensions/ag.h
%{_includedir}/X11/extensions/agproto.h
%{_includedir}/X11/extensions/bigreqsproto.h
%{_includedir}/X11/extensions/bigreqstr.h
%{_includedir}/X11/extensions/composite.h
%{_includedir}/X11/extensions/compositeproto.h
%{_includedir}/X11/extensions/cup.h
%{_includedir}/X11/extensions/cupproto.h
%{_includedir}/X11/extensions/damageproto.h
%{_includedir}/X11/extensions/damagewire.h
%{_includedir}/X11/extensions/dbe.h
%{_includedir}/X11/extensions/dbeproto.h
%{_includedir}/X11/extensions/dmx.h
%{_includedir}/X11/extensions/dmxproto.h
%{_includedir}/X11/extensions/dpmsconst.h
%{_includedir}/X11/extensions/dpmsproto.h
%{_includedir}/X11/extensions/dri2proto.h
%{_includedir}/X11/extensions/dri2tokens.h
%{_includedir}/X11/extensions/dri3proto.h
%{_includedir}/X11/extensions/ge.h
%{_includedir}/X11/extensions/geproto.h
%{_includedir}/X11/extensions/lbx.h
%{_includedir}/X11/extensions/lbxproto.h
%{_includedir}/X11/extensions/mitmiscconst.h
%{_includedir}/X11/extensions/mitmiscproto.h
%{_includedir}/X11/extensions/multibufconst.h
%{_includedir}/X11/extensions/multibufproto.h
%{_includedir}/X11/extensions/panoramiXproto.h
%{_includedir}/X11/extensions/presentproto.h
%{_includedir}/X11/extensions/presenttokens.h
%{_includedir}/X11/extensions/randr.h
%{_includedir}/X11/extensions/randrproto.h
%{_includedir}/X11/extensions/recordconst.h
%{_includedir}/X11/extensions/recordproto.h
%{_includedir}/X11/extensions/recordstr.h
%{_includedir}/X11/extensions/render.h
%{_includedir}/X11/extensions/renderproto.h
%{_includedir}/X11/extensions/saver.h
%{_includedir}/X11/extensions/saverproto.h
%{_includedir}/X11/extensions/secur.h
%{_includedir}/X11/extensions/securproto.h
%{_includedir}/X11/extensions/shapeconst.h
%{_includedir}/X11/extensions/shapeproto.h
%{_includedir}/X11/extensions/shapestr.h
%{_includedir}/X11/extensions/shm.h
%{_includedir}/X11/extensions/shmproto.h
%{_includedir}/X11/extensions/shmstr.h
%{_includedir}/X11/extensions/syncconst.h
%{_includedir}/X11/extensions/syncproto.h
%{_includedir}/X11/extensions/syncstr.h
%{_includedir}/X11/extensions/xcmiscproto.h
%{_includedir}/X11/extensions/xcmiscstr.h
%{_includedir}/X11/extensions/xf86bigfont.h
%{_includedir}/X11/extensions/xf86bigfproto.h
%{_includedir}/X11/extensions/xf86bigfstr.h
%{_includedir}/X11/extensions/xf86dga.h
%{_includedir}/X11/extensions/xf86dga1const.h
%{_includedir}/X11/extensions/xf86dga1proto.h
%{_includedir}/X11/extensions/xf86dga1str.h
%{_includedir}/X11/extensions/xf86dgaconst.h
%{_includedir}/X11/extensions/xf86dgaproto.h
%{_includedir}/X11/extensions/xf86dgastr.h
%{_includedir}/X11/extensions/xf86vm.h
%{_includedir}/X11/extensions/xf86vmproto.h
%{_includedir}/X11/extensions/xf86vmstr.h
%{_includedir}/X11/extensions/xfixesproto.h
%{_includedir}/X11/extensions/xfixeswire.h
%{_includedir}/X11/extensions/xtestconst.h
%{_includedir}/X11/extensions/xtestext1const.h
%{_includedir}/X11/extensions/xtestext1proto.h
%{_includedir}/X11/extensions/xtestproto.h
%{_includedir}/X11/extensions/xwaylandproto.h
%dir %{_includedir}/X11/fonts
%{_includedir}/X11/fonts/FS.h
%{_includedir}/X11/fonts/FSproto.h
%{_includedir}/X11/fonts/font.h
%{_includedir}/X11/fonts/fontproto.h
%{_includedir}/X11/fonts/fontstruct.h
%{_includedir}/X11/fonts/fsmasks.h
%{_includedir}/X11/keysym.h
%{_includedir}/X11/keysymdef.h
%{_datadir}/pkgconfig/bigreqsproto.pc
%{_datadir}/pkgconfig/compositeproto.pc
%{_datadir}/pkgconfig/damageproto.pc
%{_datadir}/pkgconfig/dmxproto.pc
%{_datadir}/pkgconfig/dpmsproto.pc
%{_datadir}/pkgconfig/dri2proto.pc
%{_datadir}/pkgconfig/dri3proto.pc
%{_datadir}/pkgconfig/fixesproto.pc
%{_datadir}/pkgconfig/fontsproto.pc
%{_datadir}/pkgconfig/glproto.pc
%{_datadir}/pkgconfig/inputproto.pc
%{_datadir}/pkgconfig/kbproto.pc
%{_datadir}/pkgconfig/presentproto.pc
%{_datadir}/pkgconfig/randrproto.pc
%{_datadir}/pkgconfig/recordproto.pc
%{_datadir}/pkgconfig/renderproto.pc
%{_datadir}/pkgconfig/resourceproto.pc
%{_datadir}/pkgconfig/scrnsaverproto.pc
%{_datadir}/pkgconfig/videoproto.pc
%{_datadir}/pkgconfig/xcmiscproto.pc
%{_datadir}/pkgconfig/xextproto.pc
%{_datadir}/pkgconfig/xf86bigfontproto.pc
%{_datadir}/pkgconfig/xf86dgaproto.pc
%{_datadir}/pkgconfig/xf86driproto.pc
%{_datadir}/pkgconfig/xf86vidmodeproto.pc
%{_datadir}/pkgconfig/xineramaproto.pc
%{_datadir}/pkgconfig/xproto.pc
%{_datadir}/pkgconfig/xwaylandproto.pc
%{_docdir}/xorgproto/*


%changelog
* Tue Sep 13 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2022.2-1
- new upstream release.

* Sat May 02 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2019.2-1
- switched to unified repository.
- new upstream release.

* Thu Sep 05 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.7-10
- bigreqsproto-1.1.2
- recordproto-1.14.2
- scrnsaverproto-1.2.2
- xcmiscproto-1.2.2
- presentproto-1.1

* Wed Feb 14 2018 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 7.7-9
- xproto = 7.0.31

* Thu May 05 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.7-8
- inputproto-2.3.2
- videoproto-2.3.3

* Sun Oct 25 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.7-7
- xproto-7.0.27

* Sun May 24 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.7-6
- kbproto-1.0.7
- randrproto-1.5.0

* Sun Apr 12 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.7-5
- randrproto-1.4.1
- xproto-7.0.27

* Wed Jun 11 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.7-4
- inputproto-2.3.1

* Wed Apr 23 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.7-3
- xextproto-7.3.0
- xproto-7.0.26
- fontsproto-2.1.3

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.7-2
- xproto-7.0.25
- videoproto-2.3.2
- presentproto-1.0
- dri3proto-1.0
- xextproto-7.2.99.901
- glproto-1.4.17

* Sun Apr 28 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.7-1
- inputproto-2.3
- xproto-7.0.24

* Fri Jul 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.6-7
- dri2proto-2.8
- glproto-1.4.16
- randrproto-1.4.0

* Sat Mar 24 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.6-6
- xproto-7.0.23

* Sat Mar 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.6-5
- inputproto-2.2

* Sun Jan 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.6-4
- glproto-1.4.15
- inputproto-2.1

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.6-3
- fixesproto-5.0
- glproto-1.4.14
- inputproto-2.0.2
- resourceproto-1.2.0
- xproto-7.0.22
- dri2proto-2.6

* Mon Feb 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.6-2
- xextproto-7.2.0

* Sat Jan 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.6-1
- dmxproto-2.3.1
- evieext-1.1.1
- xf86driproto-2.1.1
- xf86vidmodeproto-2.3.1
- xineramaproto-1.2.1

* Sat Dec 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.5-6
- inputproto-2.0.1
- resourceproto-1.1.1
- xproto-7.0.20

* Sun Nov 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.5-5
- bigreqsproto-1.1.1
- compositeproto-0.4.2
- damageproto-1.2.1
- fixesproto-4.1.2
- fontsproto-2.1.1
- glproto-1.4.12
- kbproto-1.0.5
- randrproto-1.3.2
- recordproto-1.14.1
- renderproto-0.11.1
- scrnsaverproto-1.2.1
- videoproto-2.3.1
- xcmiscproto-1.2.1
- xextproto-7.1.2
- xproto-7.0.19

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.5-4
- add %files
  (add fontcache.h, fontcacheP.h.fontcachstr.h, xf86rush.h, xf86rushstr.h,
       xtrapbits.h, xtrapddmi.h, xtrapdi.h, xtrapemacros.h, xtraplib.h,
       xtraplibp.h, xtrapproto.h in %{_includedir}/X11/extensions) 

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 7.5-3
- build with rpm-4.8.1-1 for pkg-config file

* Thu Mar 11 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 7.5-2
- glproto-1.4.11
- dri2proto-2.3

* Sun Nov 15 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 7.5-1
- bigreqsproto-1.1.0
- compositeproto-0.4.1
- damageproto-1.2.0
- dmxproto-2.3
- evieext-1.1.0
- fixesproto-4.1.1
- fontcacheproto-0.1.3
- fontsproto-2.1.0
- inputproto-2.0
- kbproto-1.0.4
- randrproto-1.3.1
- recordproto-1.13
- renderproto-0.11
- resourceproto-1.1.0
- scrnsaverproto-1.2.0
- videoproto-2.3.0
- xcmisproto-1.2.0
- xextproto-7.1.1
- xf86bigfontproto-1.2.0
- xf86dgaproto-2.1
- xf86driproto-2.1.0
- xf86miscproto-0.9.3
- xf86vidmodeproto-2.3
- xineramaproto-1.2
- xproto-7.0.16
- xproxymanagementprotocol-1.0.3

* Thu Jul 09 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 7.4-9
- dri2protp-2.1
- glproto-1.4.10

* Thu Apr 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 7.4-8
- dri2proto-2.0

* Sat Apr 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 7.4-7
- changed Group to Development/Libraries

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 7.4-6
- dri2proto-1.99.3

* Wed Mar 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 7.4-5
- xproto-7.0.15
- randrproto-1.3.0

* Sun Dec 21 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.4-4
- xextproto-7.0.4

* Sun Nov 30 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.4-3
- inputproto-1.5.0

* Fri Oct 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.4-2
- xproto-7.0.14

* Thu Sep 04 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.4-1
- inputproto-1.4.4
- randrproto-1.2.2

* Tue Jul 01 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.3-2
- xproto 7.0.13
- xextproto 7.0.3
- xf86driproto 2.0.4
- inputproto 1.4.3
- add dri2proto

* Sun May 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.3-1
- new versioning policy

* Fri Jan 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.3-0vl1
- build with mesa and libXau

* Sat Jan 12 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.3-0vl0
- initial build for Vine Linux (bootstrap)

* Tue Nov 13 2007 Adam Jackson <ajax@redhat.com> 7.3-7
- inputproto-1.4.2-card32.patch: Make sure CARD32 is defined on lp64.

* Mon Nov 12 2007 Adam Jackson <ajax@redhat.com> 7.3-6
- renderproto 0.9.3

* Fri Nov  9 2007 Kristian H淡gsberg <krh@redhat.com> - 7.3-5
- Bump and rebuild.

* Thu Oct 25 2007 Kristian H淡gsberg <krh@redhat.com> 7.3-4
- Pull in new glproto to get proto structs for GLX_SGIX_pbuffer.

* Thu Oct 11 2007 Adam Jackson <ajax@redhat.com> 7.3-3
- BuildArch: noarch

* Thu Oct 11 2007 Adam Jackson <ajax@redhat.com> 7.3-3
- BuildArch: noarch

* Thu Sep 27 2007 Adam Jackson <ajax@redhat.com> 7.3-2
- Require libXau-devel when not doing arch bootstrap (#207391)

* Mon Sep 24 2007 Adam Jackson <ajax@redhat.com> 7.3-1
- dgaproto 2.0.3
- Bump to 7.3

* Wed Aug 29 2007 Adam Jackson <ajax@redhat.com> 7.2-13
- Remove the horrible header hack, in favor of proper fix in xserver itself.

* Tue Jul 24 2007 Adam Jackson <ajax@redhat.com> 7.2-12
- Remove dri_interface.h.  It's not protocol, it belongs in Mesa.

* Wed Jul 11 2007 Adam Jackson <ajax@redhat.com> 7.2-11
- compositeproto 0.4

* Wed Jul 11 2007 Adam Jackson <ajax@redhat.com> 7.2-10
- inputproto-1.4.2-horrible-header-hack.patch: Re-add some #defines from
  older inputproto to make old drivers build.  Do not commit this patch
  upstream.

* Thu Apr 26 2007 Adam Jackson <ajax@redhat.com> 7.2-9
- inputproto 1.4.2

* Thu Apr 05 2007 Adam Jackson <ajax@redhat.com> 7.2-8
- Add virtual provides for the subprotocols (#231156)

* Mon Apr 02 2007 Adam Jackson <ajax@redhat.com> 7.2-7
- inputproto 1.4.1

* Mon Mar 12 2007 Adam Jackson <ajax@redhat.com> 7.2-6
- Fix doc macros as per package review (#226641)

* Wed Feb 28 2007 Adam Jackson <ajax@redhat.com> 7.2-5
- Package review cleanups (#226641)

* Wed Feb 28 2007 Adam Jackson <ajax@redhat.com> 7.2-4
- Appease RPM. (#229336)

* Fri Feb 23 2007 Adam Jackson <ajax@redhat.com> 7.2-3
- damageproto 1.1.0

* Mon Feb 19 2007 Adam Jackson <ajax@redhat.com> 7.2-2
- randrproto 1.2.1

* Mon Feb 12 2007 Adam Jackson <ajax@redhat.com> 7.2-1
- randrproto 1.2
- Superstition bump to 7.2

* Fri Jan 05 2007 Adam Jackson <ajax@redhat.com> 7.1-11
- xproto 7.0.10

* Tue Oct 3 2006 Adam Jackson <ajackson@redhat.com> 7.1-10
- Install just enough LBX headers to make libXext build. (#203815)

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 7.1-9
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Wed Sep 20 2006 Kristian H淡gsberg <krh@redhat.com> - 7.1-8.fc6
- Update to 1.4.8 to get the finaly update of GLX_EXT_tfp opcodes.

* Fri Sep  8 2006 Soren Sandmann <sandmann@redhat.com> 7.1-7.fc6
- Remove printproto source. Rest of 175350.

* Thu Aug 17 2006 Soren Sandmann <sandmann@redhat.com> 7.1-6.fc6
- Don't install xprint headers, as they are being moved to the libXp 
  package instead. Bug 175350.

* Thu Jul 27 2006 Mike A. Harris <mharris@redhat.com> 7.1-5.fc6
- Don't install LBX protocol headers, as LBX is obsoleted in the 7.1 release
  and no longer supported.

* Fri Jul 21 2006 Adam Jackson <ajackson@redhat.com> 7.1-4
- Use dist tag.  Update to kbproto-1.0.3.

* Thu Jul 13 2006 Kristian H淡gsberg <krh@redhat.com> 7.1-3
- Tag as 7.1-3.fc5.aiglx.

* Thu Jul 13 2006 Kristian H淡gsberg <krh@redhat.com> 7.1-3
- Add dist tag.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 7.1-2.1
- rebuild

* Wed Jun 21 2006 Mike A. Harris <mharris@redhat.com> 7.1-2
- Update to xproto 7.0.7 for X11R7.1
- Use "make install" instead of makeinstall macro.

* Thu May 25 2006 Mike A. Harris <mharris@redhat.com> 7.1-1
- Bump package version-release to 7.1-1 for X.Org X11R7.1 release.

* Fri May 12 2006 Adam Jackson <ajackson@redhat.com> 7.0-13
- Update to glproto 1.4.7 for final EXT_tfp defines

* Thu Apr 27 2006 Adam Jackson <ajackson@redhat.com> 7.0-12
- Update to xproto 7.0.5 for misc fixes

* Fri Apr 07 2006 Adam Jackson <ajackson@redhat.com> 7.0-10
- Update to compositeproto-0.3.1 to fix big-endian LP64.

* Sat Apr 01 2006 Adam Jackson <ajackson@redhat.com> 7.0-9
- Update to scrnsaverproto-1.1

* Mon Mar 20 2006 Adam Jackson <ajackson@redhat.com> 7.0-8
- Fix the base URL.

* Wed Mar 15 2006 Adam Jackson <ajackson@redhat.com> 7.0-7
- Update to fixesproto-4.0, compositeproto-0.3, and glproto-1.4.6

* Wed Mar 01 2006 Mike A. Harris <mharris@redhat.com> 7.0-6
- Update to glproto-1.4.5
- Remove xorg-x11-proto-devel-7.0-buffer-values.patch which is in 1.4.5.

* Wed Feb 22 2006 Jeremy Katz <katzj@redhat.com> 7.0-5
- require mesa-libGL-devel since it's needed by some of the headers

* Sun Feb 19 2006 Ray Strode <rstrode@redhat.com> 7.0-4
- Add back part of glproto-texture-from-drawable patch that didn't
  get integrated for some reason

* Thu Feb 16 2006 Mike A. Harris <mharris@redhat.com> 7.0-3
- Update to glproto-1.4.4
- Drop glproto-texture-from-drawable patch, which is integrated now.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 7.0-2.3
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 7.0-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Jan 27 2006 Kristian H淡gsberg <krh@redhat.com> 7.0-2
- Add glproto-texture-from-drawable.patch to add opcodes and tokens
  for GLX_texture_from_drawable extension.

* Fri Dec 23 2005 Mike A. Harris <mharris@redhat.com> 7.0-1
- Update to damageproto-1.0.3, glproto-1.4.3, xf86driproto-2.0.2 from the
  X11R7.0 final release.
- Bump package version to 7.0 to match the X11R7 version, for no particularly
  strong reason other than "it feels good".

* Thu Dec 15 2005 Mike A. Harris <mharris@redhat.com> 0.99.4-1
- Update all proto tarballs to the RC4 release.

* Wed Dec 07 2005 Mike A. Harris <mharris@redhat.com> 0.99.3-1
- Update to printproto-1.0.2, trapproto-3.4.2, xproto-7.0.3 from the
  X11R7 RC3 release.

* Mon Nov 21 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-3
- Added "Requires(pre): xorg-x11-filesystem >= 0.99.2-1" to attempt to
  workaround bug( #173384).

* Thu Nov 17 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-2
- Change Conflicts to "Obsoletes: XFree86-devel, xorg-x11-devel"

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-1
- Update to X11R7 RC2 release, picking up new xproto-7.0.2.

* Thu Oct 20 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-2
- This package contains only C header files and pkg-config *.pc files,
  and does not contain any ELF binaries or DSOs, so we disable debuginfo
  generation.

* Thu Oct 20 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-1
- Update all tarballs to X11R7 RC1 release.
- Remove panoramixproto, as it is now known as xineramaproto.
- Remove glu.h and glx.h from file manifest, as they're provided by Mesa.
- Added {_includedir}/GL/internal/dri_interface.h to file manifest.

* Sun Oct 02 2005 Mike A. Harris <mharris@redhat.com> 0.0.1-3
- Use Fedora-Extras style BuildRoot
- Invoke make with _smp_mflags
- Add full URLs to SourceN lines

* Mon Sep 12 2005 Kristian H淡gsberg <krh@redhat.com> 0.0.1-2
- Update to 20050912 cvs snapshot of kbproto.

* Mon Aug 22 2005 Mike A. Harris <mharris@redhat.com> 0.0.1-1
- Changed for loop in build section to use "ls -1" instead of find "*proto*"
  when going through protocol dirs, as "evieext" just *HAD* to be named
  something completely different from everything else, in true X.Org
  inconsistency fashion.
- Added Conflicts with XFree86-devel and xorg-x11-devel.

* Mon Aug 22 2005 Mike A. Harris <mharris@redhat.com> 0.0.1-0
- Initial build of xproto from X.Org modular CVS checkout and "make dist".
- Since there are no upstream tarballs yet, and "make dist" generates
  a "7.0" non-beta final version, I changed the version to 0.0 as I've no
  idea what the intention is and want to avoid using Epoch later.
